<?php

//Check compatibility
require_once get_template_directory().'/includes/check_compatibility.php';

//Custom admin page
require_once get_template_directory().'/includes/custom_admin.php';

//Plugin activation
require_once get_template_directory().'/includes/plugin_activation.php';

//Maintenance mode
require_once get_template_directory().'/includes/maintenance_mode.php';

//Woocommerce_overrides
require_once get_template_directory().'/includes/woocommerce_overrides.php';

// Register sidebars
add_action( 'widgets_init', 'boss_widgets_init', 10 );
function boss_widgets_init() {
    $positions = array(
        "sidebar-a"         => esc_html__("This is common sidebar. Widgets in this position can be displayed in different styles with additional icons and badges. Detailed in theme settings.", "boss"),
        "sidebar-b"         => esc_html__("This is common sidebar. Widgets in this position can be displayed in different styles with additional icons and badges. Detailed in theme settings.", "boss"),
        "logo"              => esc_html__("This is special sidebar for logo widget. In theme settings you can set up use it or not.", "boss"),
        "logo-small"        => esc_html__("This is special sidebar for small logo widget. In theme settings you can set up use it or not.", "boss"),
        "logo-toolbar"      => esc_html__("This is special sidebar for logo widget at navigation area. In theme settings you can set up use it or not.", "boss"),
        "search"            => esc_html__("This is special sidebar for Search widget.", "boss"),
        "menu"              => esc_html__("This is special sidebar for main menu. All widgets in this position will be dropdown.", "boss"),
        "breadcrumbs"       => esc_html__("This is special sidebar for Breadcrumbs. Use it for display your site navigation.", "boss"),
        "top-a"             => esc_html__("This is common sidebar. Widgets in this position can be displayed in different styles with additional icons and badges. Detailed in theme settings.", "boss"),
        "top-b"             => esc_html__("This is common sidebar. Widgets in this position can be displayed in different styles with additional icons and badges. Detailed in theme settings.", "boss"),
        "top-line"          => esc_html__("This is common sidebar. Widgets in this position can be displayed in different styles with additional icons and badges. Detailed in theme settings.", "boss"),
        "top-c"             => esc_html__("This is common sidebar. Widgets in this position can be displayed in different styles with additional icons and badges. Detailed in theme settings.", "boss"),
        "top-d"             => esc_html__("This is common sidebar. Widgets in this position can be displayed in different styles with additional icons and badges. Detailed in theme settings.", "boss"),
        "top-e"             => esc_html__("This is common sidebar. Widgets in this position can be displayed in different styles with additional icons and badges. Detailed in theme settings.", "boss"),
        "top-f"             => esc_html__("This is common sidebar. Widgets in this position can be displayed in different styles with additional icons and badges. Detailed in theme settings.", "boss"),
        "top-i"             => esc_html__("This is common sidebar. Widgets in this position can be displayed in different styles with additional icons and badges. Detailed in theme settings.", "boss"),
        "bottom-a"          => esc_html__("This is common sidebar. Widgets in this position can be displayed in different styles with additional icons and badges. Detailed in theme settings.", "boss"),
        "bottom-b"          => esc_html__("This is common sidebar. Widgets in this position can be displayed in different styles with additional icons and badges. Detailed in theme settings.", "boss"),
        "bottom-c"          => esc_html__("This is common sidebar. Widgets in this position can be displayed in different styles with additional icons and badges. Detailed in theme settings.", "boss"),
        "bottom-d"          => esc_html__("This is common sidebar. Widgets in this position can be displayed in different styles with additional icons and badges. Detailed in theme settings.", "boss"),
        "bottom-e"          => esc_html__("This is common sidebar. Widgets in this position can be displayed in different styles with additional icons and badges. Detailed in theme settings.", "boss"),
        "bottom-f"          => esc_html__("This is common sidebar. Widgets in this position can be displayed in different styles with additional icons and badges. Detailed in theme settings.", "boss"),
        "bottom-line"       => esc_html__("This is common sidebar. Widgets in this position can be displayed in different styles with additional icons and badges. Detailed in theme settings.", "boss"),
        "bottom-i"          => esc_html__("This is common sidebar. Widgets in this position can be displayed in different styles with additional icons and badges. Detailed in theme settings.", "boss"),
        "bottom-j"          => esc_html__("This is common sidebar. Widgets in this position can be displayed in different styles with additional icons and badges. Detailed in theme settings.", "boss"),
        "main-top"          => esc_html__("This is common sidebar. Widgets in this position can be displayed in different styles with additional icons and badges. Detailed in theme settings.", "boss"),
        "main-bottom"       => esc_html__("This is common sidebar. Widgets in this position can be displayed in different styles with additional icons and badges. Detailed in theme settings.", "boss"),
        "sidebar-content"   => esc_html__("This is special sidebar for custom social links.", "boss"),
        "portfolio-category"=> esc_html__("Widgets in this sidebar have parallel layout. Use it for copyrights.", "boss"),
        "footer"            => esc_html__("Widgets in this sidebar have parallel layout. Use it for copyrights.", "boss"),
        "offcanvas"         => esc_html__("This is special sidebar for mobile menu.", "boss"),
        "debug"             => esc_html__("This is special sidebar for debugging your widgets.", "boss"),
        "notexist"          => esc_html__("This is special sidebar. Use it with widget-short codes.", "boss")
    );

    foreach ($positions as $name => $desc) {
        register_sidebar(array(
            'name' => $name,
            'id' => $name,
            'description' => $desc,
            'before_widget' => '<!--widget-%1$s<%2$s>-->',
            'after_widget' => '<!--widget-end-->',
            'before_title' => '<!--title-start-->',
            'after_title' => '<!--title-end-->',
        ));
    }
}


//Add scripts

function boss_add_scripts() {
   
    wp_enqueue_script( 'uikit',           get_template_directory_uri() . '/js/uikit.js',        array('jquery'), '', true);
    wp_enqueue_script( 'autocomplete',    get_template_directory_uri() . '/js/accordion.js', array('jquery'), '', true);
    wp_enqueue_script( 'autocomplete',    get_template_directory_uri() . '/js/autocomplete.js', array('jquery'), '', true);
    wp_enqueue_script( 'grid',            get_template_directory_uri() . '/js/grid.js',         array('jquery'), '', true);
    wp_enqueue_script( 'lightbox',        get_template_directory_uri() . '/js/lightbox.js',     array('jquery'), '', true);
    wp_enqueue_script( 'parallax',        get_template_directory_uri() . '/js/parallax.js',     array('jquery'), '', true);
    wp_enqueue_script( 'search',          get_template_directory_uri() . '/js/search.js',       array('jquery'), '', true);
    wp_enqueue_script( 'sticky',          get_template_directory_uri() . '/js/sticky.js',       array('jquery'), '', true);
    wp_enqueue_script( 'slideshow',       get_template_directory_uri() . '/js/slideshow.js',    array('jquery'), '', true);
    wp_enqueue_script( 'slider',          get_template_directory_uri() . '/js/slider.js',       array('jquery'), '', true);
    wp_enqueue_script( 'slideset',        get_template_directory_uri() . '/js/slideset.js',     array('jquery'), '', true);
    wp_enqueue_script( 'sticky',          get_template_directory_uri() . '/js/sticky.js',       array('jquery'), '', true);
    wp_enqueue_script( 'tooltip',         get_template_directory_uri() . '/js/tooltip.js',      array('jquery'), '', true);
    wp_enqueue_script( 'pagination',      get_template_directory_uri() . '/js/pagination.js',   array('jquery'), '', true);
     
    wp_enqueue_script( 'jelect-js',       get_template_directory_uri() . '/js/jquery.jelect.min.js', array(), '1.0', 'all' );
    wp_enqueue_style ( 'jelect-css',      get_template_directory_uri() . '/css/jelect.css',          array(), '1.0', 'all' );

}
add_action('wp_enqueue_scripts', 'boss_add_scripts' );

//Add css
function boss_add_css() {
    wp_enqueue_style( 'highlight', get_template_directory_uri() .'/css/highlight.css');
}
add_action('wp_enqueue_scripts', 'boss_add_css', 15 );

add_action( 'woocommerce_show_page_title', 'wc_category_title_archive_products', 20 );
 
if ( ! isset( $content_width ) ) {
    $content_width = 600;
}
function newborn_enqueue_comments_reply() {
if( get_option( 'thread_comments' ) ) {
        wp_enqueue_script( 'comment-reply' );
    }
}
add_action( 'comment_form_before', 'newborn_enqueue_comments_reply' );

add_theme_support( 'automatic-feed-links' );
add_theme_support( "title-tag" );