<?php
/** Boss Theme for WordPress, exclusively on Envato Market: http://themeforest.net/user/torbara
 *  @encoding     UTF-8
 *  @version      1.0
 *  @copyright    Copyright (C) 2016 Torbara (http://torbara.com). All rights reserved.
 *  @license      GNU General Public License version 2 or later, see http://www.gnu.org/licenses/gpl-2.0.html
 *  @author       Vladislav Kotko
 */

// add css
$this['asset']->addFile('css', 'css:theme.css');

?>

<!DOCTYPE HTML>
<html lang="<?php echo esc_attr($this['config']->get('language')); ?>" dir="<?php echo esc_attr($this['config']->get('direction')); ?>" class="uk-height-1-1">
<head>
    <?php remove_action( 'wp_head',  'loading_page_replace_the_header', 99 ); ?>
    <?php remove_action('wp_enqueue_scripts', 'loading_page_enqueue_scripts', 1); ?>
    <?php remove_action( 'init', 'loading_page_init' ); ?>
    <link href="favicon.ico" rel="shortcut icon" type="image/vnd.microsoft.icon" />
    <script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/js/jquery-1.11.0.min.js"></script>
    <script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/js/kinetic.js"></script> 
    <script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/js/jquery.final-countdown.js"></script> 
    <link href="favicon.ico" rel="shortcut icon" type="image/vnd.microsoft.icon" />
    <link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/theme.css">
    <?php 
        if(isset($_GET["style"])){
            $style = $_GET["style"];
            if($style !="default"){
                ?><link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/styles/<?php echo $style; ?>/css/custom.css"><?php
            }else{
                ?><link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/custom.css"><?php
            }
        }
    ?>
</head>
</head>
<body class="uk-height-1-1 tm-comming-soon-page">
    <div class="tm-page-absolute">
        <div class="uk-grid">
            <div class="uk-width-1-1">
                    <a class="tm-logo" href="#">Boss</a>
                <div class="uk-vertical-align tm-comming-soon-text">
                    <div class="uk-grid uk-vertical-align-middle">
                        <span class="tt-error-message-error">comming soon</span>
                    </div>
                </div>
                <div class="tm-text-center uk-hidden-small">
                    <div class="countdown-container">
                        <div class="clock-wrap">
                        <!-- days --> 
                            <div class="clock-item clock-days countdown-time-value">
                                <div class="wrap">
                                    <div class="inner">
                                    <div id="canvas_days" class="clock-canvas"></div>
                                        <div class="text">
                                            <p class="val">0</p>
                                        </div>
                                    <span class="type-days type-time">DAYS</span>
                                    </div>
                                </div>
                            </div>
                        <!-- hours --> 
                            <div class="clock-item clock-hours countdown-time-value">
                                <div class="wrap">
                                    <div class="inner">
                                        <div id="canvas_hours" class="clock-canvas"></div>
                                        <div class="text">
                                            <p class="val">0</p>
                                        </div>
                                    <span class="type-hours type-time">HOURS</span>
                                    </div>
                                </div>
                            </div>
                        <!-- minutes --> 
                            <div class="clock-item clock-minutes countdown-time-value">
                                <div class="wrap">
                                    <div class="inner">
                                    <div id="canvas_minutes" class="clock-canvas"></div>
                                        <div class="text">
                                            <p class="val">0</p>
                                        </div><span class="type-minutes type-time">MINUTES</span>
                                    </div>
                                </div>
                            </div>
                        <!-- seconds --> 
                            <div class="clock-item clock-seconds countdown-time-value">
                                <div class="wrap">
                                    <div class="inner">
                                    <div id="canvas_seconds" class="clock-canvas"></div>
                                    <div class="text">
                                        <p class="val">0</p>
                                    </div>
                                    <span class="type-seconds type-time">SECONDS</span>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="tm-error-social">
                    <ul class="tm-social-links_button">
                        <li><a class="tm-twitter" target="_blank" href="#"></a></li>
                        <li><a class="tm-facebook" target="_blank" href="#"></a></li>
                        <li><a class="tm-pinterest" target="_blank" href="#"></a></li>
                        <li><a class="tm-vimeo" target="_blank" href="#"></a></li>
                        <li><a class="tm-youtube" target="_blank" href="#"></a></li>
                        <li><a class="tm-in" target="_blank" href="#"></a></li>
                    </ul>
                </div>
            </div>
        </div>
    </div>
  <script type="text/javascript">
    // Start date
    var start_date = new Date('2015-10-01').getTime() / 1000;
    // End date
    var end_date = new Date('2016-05-31').getTime() / 1000;
    // Current date
    var now_date = new Date().getTime() / 1000;
    $('.countdown').final_countdown({start: start_date, end: end_date, now: now_date });
</script>
</body>
</html>
