<?php
/**
* @package   Warp Theme Framework
* @author    YOOtheme http://www.yootheme.com
* @copyright Copyright (C) YOOtheme GmbH
* @license   http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

// add css
$this['asset']->addFile('css', 'css:theme.css');

?>

<!DOCTYPE HTML>
<html lang="<?php echo $this['config']->get('language'); ?>" dir="<?php echo $this['config']->get('direction'); ?>" class="uk-height-1-1 tm-error">
<head>
    <link href="favicon.ico" rel="shortcut icon" type="image/vnd.microsoft.icon" />
    <link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/theme.css">
    <?php 
        if(isset($_GET["style"])){
            $style = $_GET["style"];
            if($style !="default"){
                ?><link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/styles/<?php echo $style; ?>/css/custom.css"><?php
            }else{
                ?><link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/custom.css"><?php
            }
        }
    ?>
</head>

<body class="uk-height-1-1 tt-error-page">
<div class="tm-page-absolute">
  <div class="tt-error-message">
    <div class="uk-container uk-container-center">
      <div class="uk-grid">
        <div class="uk-width-2-3">
          <div class="uk-vertical-align" style="height: 200px;">
            <div class="uk-width-1-1 uk-vertical-align-middle">
              <h1 class="tt-error-message-error" style="display: inline-block;line-height: 1;">404</h1>
              <ul class="tt-error-message-title">
                <li>Error</li>
                <li>Page not found</li>
              </ul>
            </div>
          </div>
        </div>
        <div class="uk-width-1-3">
          <div class="uk-vertical-align uk-align-right " style="height: 200px;">
            <div class="uk-vertical-align-middle">
              <a class="tt-error-message-link" href="<?php echo get_site_url(); ?>">Home</a>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
</body>
</html>
