<?php
/**
* @package   Master
* @author    YOOtheme http://www.yootheme.com
* @copyright Copyright (C) YOOtheme GmbH
* @license   http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

// get theme configuration
include($this['path']->path('layouts:theme.config.php'));

?>
<!DOCTYPE HTML>
<html lang="<?php echo $this['config']->get('language'); ?>" dir="<?php echo $this['config']->get('direction'); ?>"  data-config='<?php echo $this['config']->get('body_config','{}'); ?>'>

<head>
    <?php echo $this['template']->render('head'); ?>
</head>

<body class="<?php echo $this['config']->get('body_classes'); ?> ">


<header> 
    <?php if ($this['widgets']->count('toolbar-l + toolbar-r')) : ?>
        <div class="uk-container uk-container-center">
            <div class="tm-toolbar uk-clearfix uk-hidden-small">

                    <?php if ($this['widgets']->count('toolbar-l')) : ?>
                    <div class="uk-float-left"><?php echo $this['widgets']->render('toolbar-l'); ?></div>
                    <?php endif; ?>

                    <?php if ($this['widgets']->count('toolbar-r')) : ?>
                    <div class="uk-float-right"><?php echo $this['widgets']->render('toolbar-r'); ?></div>
                    <?php endif; ?>

            </div>
        </div>
    <?php endif; ?>

    <div class="tm-nav-box <?php echo $menu_absolute; ?>">
          <div class="sticky-pos" <?php echo $menu_sticky; ?>>
                <div class="uk-container uk-container-center">
                    <nav class="tm-navbar uk-navbar uk-grid">

                        <?php if ($this['widgets']->count('logo') ) : ?>
                            <a class="tm-logo uk-float-left uk-hidden-small uk-width-medium-1-2 uk-width-large-2-10" href="<?php echo esc_url($this['config']->get('site_url')); ?>"><?php echo $this['widgets']->render('logo'); ?></a>
                        <?php else : ?>
                            <div class="tm-logo-text uk-width-large-1-4"><a  href="<?php echo esc_url($this['config']->get('site_url')); ?>"><?php echo esc_html($this['config']->get('logo_text')); ?></a></div>
                        <?php endif; ?>

                        <?php if ($this['widgets']->count('search')) : ?>
                            <div class="tt-container-search uk-navbar-flip uk-float-right uk-width-medium-1-2 uk-width-large-2-10">
                                <div class="uk-navbar-content uk-hidden-small"><?php echo $this['widgets']->render('search'); ?></div>
                            </div>
                        <?php endif; ?>

                        <?php if ($this['widgets']->count('menu')) : ?>
                            <div class="uk-width-medium-1-1 uk-width-large-6-10 tm-offcanvas-menu">
                                <?php echo $this['widgets']->render('menu'); ?>
                            </div>
                        <?php endif; ?>

                        <?php if ($this['widgets']->count('offcanvas')) : ?>
                        <a href="#offcanvas" class="uk-navbar-toggle uk-visible-small" data-uk-offcanvas></a>
                        <?php endif; ?>

                        <?php if ($this['widgets']->count('logo-small')) : ?>
                            <div class="uk-navbar-content uk-navbar-center uk-visible-small">
                                <a class="tm-logo-small" href="<?php echo $this['config']->get('site_url'); ?>"><?php echo $this['widgets']->render('logo-small'); ?></a></div>
                        <?php endif; ?>

                    </nav> 
                </div>
            </div>
          </div> 

    <?php if ($this['widgets']->count('breadcrumbs')) : ?>
                    <div class="tm-breadcrumbs-box <?php echo $box_classes['breadcrumbs']; ?>">
                        <div class="uk-container uk-container-center">
                            <section id="tm-breadcrumbs" class="<?php echo $grid_classes['breadcrumbs']; echo $display_classes['breadcrumbs']; ?>" data-uk-grid-match="{target:'> div > .uk-panel'}" data-uk-grid-margin><?php echo $this['widgets']->render('breadcrumbs', array('layout'=>$this['config']->get('grid.breadcrumbs.layout'))); ?></section>
                        </div>
                    </div>
		<?php endif; ?>


    <?php if ($this['widgets']->count('top-line')) : ?>
        <div class="tm-top-line-bg">
              <?php echo $this['widgets']->render('top-line', array('layout'=>$this['config']->get('grid.top-line.layout'))); ?>
        </div>
    <?php endif; ?>
</header>
    <?php if ($this['widgets']->count('top-a')) : ?>
                    <div class="tm-top-a-box <?php echo $box_classes['top-a']; ?>">
                        <div class="uk-container uk-container-center">
                            <section id="tm-top-a" class="<?php echo $grid_classes['top-a']; echo $display_classes['top-a']; ?>" data-uk-grid-match="{target:'> div > .uk-panel'}" data-uk-grid-margin><?php echo $this['widgets']->render('top-a', array('layout'=>$this['config']->get('grid.top-a.layout'))); ?></section>
                        </div>
                    </div>
		<?php endif; ?>

		<?php if ($this['widgets']->count('top-b')) : ?>
                    <div class="tm-top-b-box <?php echo $box_classes['top-b']; ?>">
                        <div class="uk-container uk-container-center">
                            <section id="tm-top-b" class="<?php echo $grid_classes['top-b']; echo $display_classes['top-b']; ?>" data-uk-grid-match="{target:'> div > .uk-panel'}" data-uk-grid-margin><?php echo $this['widgets']->render('top-b', array('layout'=>$this['config']->get('grid.top-b.layout'))); ?></section>
                        </div>
                    </div>
		<?php endif; ?>



                <?php if ($this['widgets']->count('top-c')) : ?>
                    <div class="tm-top-c-box <?php echo $box_classes['top-c']; ?>">
                        <div class="uk-container uk-container-center">
                            <section id="tm-top-c" class="<?php echo $grid_classes['top-c']; echo $display_classes['top-c']; ?>" data-uk-grid-match="{target:'> div > .uk-panel'}" data-uk-grid-margin><?php echo $this['widgets']->render('top-c', array('layout'=>$this['config']->get('grid.top-c.layout'))); ?></section>
                        </div>
                    </div>
		<?php endif; ?>

                <?php if ($this['widgets']->count('top-d')) : ?>
                    <div class="tm-top-d-box <?php echo $box_classes['top-d']; ?>">
                        <div class="uk-container uk-container-center">
                            <section id="tm-top-d" class="<?php echo $grid_classes['top-d']; echo $display_classes['top-d']; ?>" data-uk-grid-match="{target:'> div > .uk-panel'}" data-uk-grid-margin><?php echo $this['widgets']->render('top-d', array('layout'=>$this['config']->get('grid.top-d.layout'))); ?></section>
                        </div>
                    </div>
		<?php endif; ?>

                <?php if ($this['widgets']->count('top-e')) : ?>
                    <div class="tm-top-e-box <?php echo $box_classes['top-e']; ?>">
                        <div class="uk-container uk-container-center">
                            <section id="tm-top-e" class="<?php echo $grid_classes['top-e']; echo $display_classes['top-e']; ?>" data-uk-grid-match="{target:'> div > .uk-panel'}" data-uk-grid-margin><?php echo $this['widgets']->render('top-e', array('layout'=>$this['config']->get('grid.top-e.layout'))); ?></section>
                        </div>
                    </div>
		<?php endif; ?>

                <?php if ($this['widgets']->count('top-f')) : ?>
                    <div class="tm-top-f-box <?php echo $box_classes['top-f']; ?>">
                        <div class="uk-container uk-container-center">
                            <section id="tm-top-f" class="<?php echo $grid_classes['top-f']; echo $display_classes['top-f']; ?>" data-uk-grid-match="{target:'> div > .uk-panel'}" data-uk-grid-margin><?php echo $this['widgets']->render('top-f', array('layout'=>$this['config']->get('grid.top-f.layout'))); ?></section>
                        </div>
                    </div>
		<?php endif; ?>

                <?php if ($this['widgets']->count('top-i')) : ?>
                    <div class="tm-top-i-box <?php echo $box_classes['top-i']; ?>">
                        <div class="uk-container uk-container-center">
                            <section id="tm-top-i" class="<?php echo $grid_classes['top-i']; echo $display_classes['top-i']; ?>" data-uk-grid-match="{target:'> div > .uk-panel'}" data-uk-grid-margin><?php echo $this['widgets']->render('top-i', array('layout'=>$this['config']->get('grid.top-i.layout'))); ?></section>
                        </div>
                    </div>
		<?php endif; ?>

                
                <?php if ($this['widgets']->count('main-top + main-bottom + sidebar-a + sidebar-b') || $this['config']->get('system_output', true)) : ?>
                    <div class="uk-container uk-container-center">
                        <div id="tm-middle" class="tm-middle uk-grid" data-uk-grid-match data-uk-grid-margin>
                                <?php if ($this['widgets']->count('main-top + main-bottom') || $this['config']->get('system_output', true)) : ?>
                                <div class="<?php echo $columns['main']['class'] ?>">

                                        <?php if ($this['widgets']->count('main-top')) : ?>
                                        <section id="tm-main-top" class="<?php echo $grid_classes['main-top']; echo $display_classes['main-top']; ?>" data-uk-grid-match="{target:'> div > .uk-panel'}" data-uk-grid-margin><?php echo $this['widgets']->render('main-top', array('layout'=>$this['config']->get('grid.main-top.layout'))); ?></section>
                                        <?php endif; ?>

                                        <?php if ($this['config']->get('system_output', true)) : ?>
                                        <main id="tm-content" class="tm-content">

                                                <?php echo $this['template']->render('content'); ?>

                                        </main>
                                        <?php endif; ?>

                                        <?php if ($this['widgets']->count('main-bottom')) : ?>
                                        <section id="tm-main-bottom" class="<?php echo $grid_classes['main-bottom']; echo $display_classes['main-bottom']; ?>" data-uk-grid-match="{target:'> div > .uk-panel'}" data-uk-grid-margin><?php echo $this['widgets']->render('main-bottom', array('layout'=>$this['config']->get('grid.main-bottom.layout'))); ?></section>
                                        <?php endif; ?>

                                </div>
                                <?php endif; ?>

                                <?php foreach($columns as $name => &$column) : ?>
                                    <?php if ($name != 'main' && $this['widgets']->count($name)) : ?>
                                        <aside class="<?php echo $column['class'] ?>"><?php echo $this['widgets']->render($name) ?></aside>
                                    <?php endif ?>
                                <?php endforeach ?>
                        </div>
                    </div>
		<?php endif; ?>
                

    <?php if ($this['widgets']->count('bottom-a')) : ?>
                    <div class="tm-bottom-a-box <?php echo $box_classes['bottom-a']; ?>">
                        <div class="uk-container uk-container-center">
                            <section id="tm-bottom-a" class="<?php echo $grid_classes['bottom-a']; echo $display_classes['bottom-a']; ?>" data-uk-grid-match="{target:'> div > .uk-panel'}" data-uk-grid-margin><?php echo $this['widgets']->render('bottom-a', array('layout'=>$this['config']->get('grid.bottom-a.layout'))); ?></section>
                        </div>
                    </div>
		<?php endif; ?>

    <?php if ($this['widgets']->count('bottom-b')) : ?>
                    <div class="tm-bottom-b-box <?php echo $box_classes['bottom-b']; ?>">
                        <div class="uk-container uk-container-center">
                            <section id="tm-bottom-b" class="<?php echo $grid_classes['bottom-b']; echo $display_classes['bottom-b']; ?>" data-uk-grid-match="{target:'> div > .uk-panel'}" data-uk-grid-margin><?php echo $this['widgets']->render('bottom-b', array('layout'=>$this['config']->get('grid.bottom-b.layout'))); ?></section>
                        </div>
                    </div>
		<?php endif; ?>

    <?php if ($this['widgets']->count('bottom-c')) : ?>
                    <div class="tm-bottom-c-box <?php echo $box_classes['bottom-c']; ?>">
                        <div class="uk-container uk-container-center">
                            <section id="tm-bottom-c" class="<?php echo $grid_classes['bottom-c']; echo $display_classes['bottom-c']; ?>" data-uk-grid-match="{target:'> div > .uk-panel'}" data-uk-grid-margin><?php echo $this['widgets']->render('bottom-c', array('layout'=>$this['config']->get('grid.bottom-c.layout'))); ?></section>
                        </div>
                    </div>
		<?php endif; ?>

    <?php if ($this['widgets']->count('bottom-d')) : ?>
                    <div class="tm-bottom-d-box <?php echo $box_classes['bottom-d']; ?>">
                        <div class="uk-container uk-container-center">
                            <section id="tm-bottom-d" class="<?php echo $grid_classes['bottom-d']; echo $display_classes['bottom-d']; ?>" data-uk-grid-match="{target:'> div > .uk-panel'}" data-uk-grid-margin><?php echo $this['widgets']->render('bottom-d', array('layout'=>$this['config']->get('grid.bottom-d.layout'))); ?></section>
                        </div>
                    </div>
		<?php endif; ?>

    <?php if ($this['widgets']->count('bottom-e')) : ?>
                    <div class="tm-bottom-e-box <?php echo $box_classes['bottom-e']; ?>">
                        <div class="uk-container uk-container-center">
                            <section id="tm-bottom-e" class="<?php echo $grid_classes['bottom-e']; echo $display_classes['bottom-e']; ?>" data-uk-grid-match="{target:'> div > .uk-panel'}" data-uk-grid-margin><?php echo $this['widgets']->render('bottom-e', array('layout'=>$this['config']->get('grid.bottom-e.layout'))); ?></section>
                        </div>
                    </div>
		<?php endif; ?>

    <?php if ($this['widgets']->count('bottom-f')) : ?>
                    <div class="tm-bottom-f-box <?php echo $box_classes['bottom-f']; ?>">
                        <div class="uk-container uk-container-center">
                            <section id="tm-bottom-f" class="<?php echo $grid_classes['bottom-f']; echo $display_classes['bottom-f']; ?>" data-uk-grid-match="{target:'> div > .uk-panel'}" data-uk-grid-margin><?php echo $this['widgets']->render('bottom-f', array('layout'=>$this['config']->get('grid.bottom-f.layout'))); ?></section>
                        </div>
                    </div>
		<?php endif; ?>

    <?php if ($this['widgets']->count('bottom-line')) : ?>
                    <div class="tm-bottom-line-bg">
                          <?php echo $this['widgets']->render('bottom-line', array('layout'=>$this['config']->get('grid.bottom-line.layout'))); ?>
                    </div>
		<?php endif; ?>

    <?php if ($this['widgets']->count('bottom-i')) : ?>
                    <div class="tm-bottom-i-box <?php echo $box_classes['bottom-i']; ?>">
                        <div class="uk-container uk-container-center">
                            <section id="tm-bottom-i" class="<?php echo $grid_classes['bottom-i']; echo $display_classes['bottom-i']; ?>" data-uk-grid-match="{target:'> div > .uk-panel'}" data-uk-grid-margin><?php echo $this['widgets']->render('bottom-i', array('layout'=>$this['config']->get('grid.bottom-i.layout'))); ?></section>
                        </div>
                    </div>
		<?php endif; ?>

    <?php if ($this['widgets']->count('bottom-j')) : ?>
                    <div class="tm-bottom-j-box <?php echo $box_classes['bottom-j']; ?>">
                        <div class="uk-container uk-container-center">
                            <section id="tm-bottom-j" class="<?php echo $grid_classes['bottom-j']; echo $display_classes['bottom-j']; ?>" data-uk-grid-match="{target:'> div > .uk-panel'}" data-uk-grid-margin><?php echo $this['widgets']->render('bottom-j', array('layout'=>$this['config']->get('grid.bottom-j.layout'))); ?></section>
                        </div>
                    </div>
		<?php endif; ?>

		<?php if ($this['widgets']->count('footer + debug') || $this['config']->get('warp_branding', true) || $this['config']->get('totop_scroller', true)) : ?>
		<footer id="tm-footer" class="tm-footer">
      <div class="uk-container uk-container-center">
			<?php if ($this['config']->get('totop_scroller', true)) : ?>
			<a class="tm-totop-scroller" data-uk-smooth-scroll href="#"></a>
			<?php endif; ?>

			<?php
				echo $this['widgets']->render('footer');
				echo $this['widgets']->render('debug');
			?>
      </div>
		</footer>
		<?php endif; ?>



	<?php echo $this->render('footer'); ?>

	<?php if ($this['widgets']->count('offcanvas')) : ?>
	<div id="offcanvas" class="uk-offcanvas">
		<div class="uk-offcanvas-bar"><?php echo $this['widgets']->render('offcanvas'); ?></div>
	</div>
	<?php endif; ?>

</body>
</html>
