<?php
/*
Template Name: TT Portfolio Category
*/
/**
 * Boss category template for WP, exclusively on Envato Market: http://codecanyon.net/user/aklare
 * @encoding     UTF-8
 * @version      1.0
 * @copyright    Copyright (C) 2016 Aklare (http://torbara.com). All rights reserved.
 * @license      GNU General Public License version 2 or later, see http://www.gnu.org/licenses/gpl-2.0.html
 * @author       torbara (support@torbara.com)
 */
get_header(); ?>
<?php $thisCat = get_category(get_query_var('cat'),false); ?>
  <div class="uk-width-1-1">
      <div class="uk-panel">
          <h1 class="uk-page-title"><?php echo esc_attr($thisCat->cat_name); ?></h1>
      </div>
  </div>
<div class="uk-clearfix">
  <ul id="my-id" class="uk-subnav tm-portfolio-navigation">
    <?php
      $args = array(
        'orderby' => 'id',
        'hide_empty'=> 0,
        'child_of' => $thisCat->term_id, //Child From Boxes Category
      );
      $categories = get_categories($args);?>

      <li class="uk-active" data-uk-filter=""><a href="">All</a></li>
      <?php foreach ($categories as $cat) { ?>
        <li data-uk-filter="<?php echo $cat->name; ?>"><a href=""><?php echo $cat->name; ?></a></li>
      <?php } ?>
  </ul>
</div>
  <div class="tm-portfolio-category">
    <div class="tm-portfolio-container" data-uk-grid-margin>
      <div class="uk-grid-width-small-1-1 uk-grid-width-medium-1-2 uk-grid-width-large-1-3 tm-grid-heights" data-uk-grid="{gutter: 30, controls: '#my-id'}">
        <?php
          $portfolio_post = new WP_Query( array( 'posts_per_page' => -1,  'cat' => $thisCat->term_id) );
          // query_posts('posts_per_page=-1');
          while ($portfolio_post->have_posts()) { $portfolio_post->the_post();
          $categories = get_the_category();
          $category_id = $categories[0]->cat_name;
        ?>
        <div data-uk-filter="<?php echo esc_attr($category_id); ?> ">
          <div class="uk-grid tm-portfolio-item">
            <div class="uk-width-1-1">
              <a href="<?php the_permalink(); ?>">
                <?php if ( has_post_thumbnail(get_the_ID())) { ?>
                  <?php $src = wp_get_attachment_image_src( get_post_thumbnail_id(), false, '' ); ?>
                    <div class="uk-cover-background" style="background-image: url(<?php echo $src[0]; ?>);">
                      <img class="uk-invisible" src="<?php echo $src[0]; ?>" width="600" height="400" alt="<?php the_title(); ?>">
                    </div>
                <?php } ?>
              </a>
            </div>
            <div class="uk-width-1-1">
              <div class="uk-vertical-align tm-portfolio-item-info">
                <div class="uk-vertical-align-top">
                <a href="<?php the_permalink(); ?>"><h2><?php the_title(); ?></h2></a>
              </div>
                <div class="uk-vertical-align-bottom">
                    <p><?php echo easy_image_gallery_count_images(get_the_ID()). ' photos';?></p>
                </div>
              </div>
            </div>
          </div>
        </div>
        <?php } ?>
      </div>
    </div>
  </div>


<?php get_sidebar(); ?>

<?php get_footer(); ?>
