<?php
/*
Template Name: TT Team Category
*/
/**
 * Boss category template for WP, exclusively on Envato Market: http://codecanyon.net/user/aklare
 * @encoding     UTF-8
 * @version      1.0
 * @copyright    Copyright (C) 2016 Aklare (http://torbara.com). All rights reserved.
 * @license      GNU General Public License version 2 or later, see http://www.gnu.org/licenses/gpl-2.0.html
 * @author       torbara (support@torbara.com)
 */
get_header(); ?>

<div class="tm-team-bg">
  <div class="uk-width-1-1">
      <div class="uk-panel">
          <h1 class="uk-page-title"><?php single_cat_title(); ?></h1>
      </div>
  </div>

  <div class="tm-category">
    <div class="tm-category-container">
      <ul class="tm-team-category uk-grid uk-grid-width-small-1-2 uk-grid-width-medium-1-3 uk-grid-width-large-1-3" data-uk-grid-margin>
        <?php while (have_posts()) { the_post(); ?>
          <li>
            <div class="tm-team-container">
              <?php if ( has_post_thumbnail(get_the_ID())) { ?>
              <?php $src = wp_get_attachment_image_src( get_post_thumbnail_id(), false, '' ); ?>
              <div class="uk-cover-background" style="background-image: url(<?php echo $src[0]; ?>);">
                <img class="uk-invisible" src="<?php echo $src[0]; ?>" width="600" height="400" alt="<?php the_title(); ?>">
              </div>
              <?php } ?>
              <div class="tm-team-overlay">
                <a href="<?php the_permalink();  ?>"><h1><?php the_title(); ?></h1></a>
                <p><?php the_excerpt(); ?></p>
                <div class="tm-team-social">
                  <ul>
                    <li><a class="tm-team-social-t" href=""></a></li>
                    <li><a class="tm-team-social-f" href=""></a></li>
                    <li><a class="tm-team-social-p" href=""></a></li>
                  </ul>
                </div>
              </div>
            </div>
          </li>
        <?php } ?>
      </ul>
      <?php wp_pagenavi( array( 'type' => 'post' ) ); ?>
    </div>
  </div>
</div>


<?php get_sidebar(); ?>

<?php get_footer(); ?>
