<?php
/**
* @package   Master
* @author    YOOtheme http://www.yootheme.com
* @copyright Copyright (C) YOOtheme GmbH
* @license   http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

use Warp\Warp;
use Warp\Autoload\ClassLoader;
use Warp\Config\Repository;

if (!function_exists('boss_warp_init')) {
    function boss_warp_init () {
        global $warp;
        $wcd = wp_upload_dir();
        $wcd = $wcd['basedir'];
        
        if (!$warp) {
        
            require_once($wcd.'/warp/src/Warp/Autoload/ClassLoader.php');
            
            // set loader
            $loader = new ClassLoader;
            $loader->add('Warp', $wcd.'/warp/src');
            $loader->add('Warp\Wordpress', $wcd.'/warp/systems/wordpress/src');
            $loader->register();
        
            // set config
            $config = new Repository;
            $config->load($wcd.'/warp/config.php');
            $config->load($wcd.'/warp/systems/wordpress/config.php');
            $config->load(get_template_directory().'/config.php');
        
            // set warp
            $warp = new Warp(compact('loader', 'config'));
            $warp['system']->init();
        }
        return $warp;
    }
}

return boss_warp_init();