<?php
/**
 * The template for displaying product content within loops.
 *
 * Override this template by copying it to yourtheme/woocommerce/content-product.php
 *
 * @author  WooThemes
 * @package WooCommerce/Templates
 * @version 2.9.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

global $product, $woocommerce_loop;

// Store loop count we're currently on
if ( empty( $woocommerce_loop['loop'] ) ) {
	$woocommerce_loop['loop'] = 0;
}

// Store column count for displaying the grid
if ( empty( $woocommerce_loop['columns'] ) ) {
	$woocommerce_loop['columns'] = apply_filters( 'loop_shop_columns', 4 );
}

// Ensure visibility
if ( ! $product || ! $product->is_visible() ) {
	return;
}

// Increase loop count
$woocommerce_loop['loop']++;

// Extra post classes
$classes = array();
if ( 0 == ( $woocommerce_loop['loop'] - 1 ) % $woocommerce_loop['columns'] || 1 == $woocommerce_loop['columns'] ) {
	$classes[] = 'first';
}
if ( 0 == $woocommerce_loop['loop'] % $woocommerce_loop['columns'] ) {
	$classes[] = 'last';
}
?>
<li <?php post_class( $classes ); ?>>
	<div class="tm-archive-product-container">
		<a href="<?php the_permalink(); ?>">	<?php	echo woocommerce_get_product_thumbnail(); ?>	</a>
		<?php echo woocommerce_show_product_loop_sale_flash(); ?>
		<div class="tm-archive-product-info">
			<div class="uk-grid">
				<div class="uk-width-1-1">
					<h3 class="tm-product-archive-title">
						<?php
						// $terms = get_the_terms( get_the_ID(), 'product_cat' );
						// foreach ($terms as $term) {
						// 		 echo $term->name;
						// }
						?>
						<?php
							$product_cats = wp_get_post_terms( get_the_ID(), 'product_cat' );
							if ( $product_cats && ! is_wp_error ( $product_cats ) ){
							$single_cat = array_shift( $product_cats );
							echo trim($single_cat->name);
							}
						?>
					</h3>
				</div>
				<div class="uk-width-1-1" id="tt-product-title">
					<h1><?php	the_title(); ?></h1>
				</div>
				<div class="uk-width-1-2" id="tt-price">
					<h1><?php if ( $price_html = $product->get_price_html() ) : ?><span class="price"><?php echo $price_html; ?></span><?php endif; ?></h1>
					<?php echo woocommerce_template_loop_rating(); ?>
				</div>
				<div class="uk-width-1-2" id="tt-add-cart">
					<?php echo woocommerce_template_loop_add_to_cart(); ?>
					<div class="uk-clearfix"></div>
				</div>
			</div>
		</div>
	</div>
</li>
