<?php
/**
 * The template for displaying product content in the single-product.php template
 *
 * Override this template by copying it to yourtheme/woocommerce/content-single-product.php
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     1.6.4
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

?>

<div class="tm-page tm-page-padding tm-product-page">
	<div class="uk-width-1-1">
		<div class="uk-panel uk-panel-header">
			<h1 class="uk-panel-title">
				<?php the_title(); ?>
			</h1>
		</div>
	</div>
	<?php woocommerce_output_product_data_tabs(); ?>
<div class="tm-bg-recent">
	<section id="tm-shop-products recent" class="tm-recent">
		<div data-uk-slider="{center:true}">
				<div class="uk-grid">
					<div class="uk-width-1-1">
						<h1 class="uk-panel-title tm-custom-title">Featured goods</h1>
						<div class="tm-container-navigation">
							<a href="" class="tm-arrow-title tm-arrow-title-left uk-slidenav uk-slidenav-contrast uk-slidenav-previous" data-uk-slider-item="previous"><img src="<?php echo get_template_directory_uri(); ?>/images/tt-arrow-paginations-left.svg" class="tm-arrow-title-left-svg" data-uk-svg></a>
							<a href="" class="tm-arrow-title tm-arrow-title-right uk-slidenav uk-slidenav-contrast uk-slidenav-next" data-uk-slider-item="next"><img src="<?php echo get_template_directory_uri(); ?>/images/tt-arrow-paginations-right.svg" class="tm-arrow-title-right-svg" data-uk-svg></a>
						</div>
					</div>
				</div>

				<div class="uk-slider-container">
						<ul class="row-fluid products uk-slider uk-grid uk-grid-width-small-1-2 uk-grid-width-medium-1-3 uk-grid-width-large-1-3">


        <?php
            $args = array( 'post_type' => 'product', 'stock' => 1, 'posts_per_page' => 4, 'orderby' =>'date','order' => 'DESC' );
            $loop = new WP_Query( $args );
            while ( $loop->have_posts() ) : $loop->the_post(); global $product; ?>

						<li>
							<div class="tm-archive-product-container">
								<a href="<?php the_permalink(); ?>">	<?php	echo woocommerce_get_product_thumbnail(); ?>	</a>
								<?php echo woocommerce_show_product_loop_sale_flash(); ?>
								<div class="tm-archive-product-info">
									<div class="uk-grid">
										<div class="uk-width-1-1">
											<h3 class="tm-product-archive-title">
												<?php
												// $terms = get_the_terms( get_the_ID(), 'product_cat' );
												// foreach ($terms as $term) {
												// 		 echo $term->name;
												// }
												?>
												<?php
                                                                                                    $product_cats = wp_get_post_terms( get_the_ID(), 'product_cat' );
                                                                                                    if ( $product_cats && ! is_wp_error ( $product_cats ) ){
                                                                                                    $single_cat = array_shift( $product_cats );
                                                                                                    echo trim($single_cat->name);
                                                                                                    }
												?>
											</h3>
										</div>
										<div class="uk-width-1-2" id="tt-price">
											<h1><?php if ( $price_html = $product->get_price_html() ) : ?><span class="price"><?php echo $price_html; ?></span><?php endif; ?> <span>|</span> <?php	the_title(); ?></h1>
											<?php echo woocommerce_template_loop_rating(); ?>
										</div>
										<div class="uk-width-1-2" id="tt-add-cart">
											<?php echo woocommerce_template_loop_add_to_cart(); ?>
											<div class="uk-clearfix"></div>
										</div>
									</div>
								</div>
							</div>
						</li>
        <?php endwhile; ?>
        <?php wp_reset_query(); ?>

    </ul><!-- /row-fluid -->
	</div>
</div>
</section>
</div>
	<div class="tm-product-page">
		<div class="tm-product-page-container">
			<div class="uk-grid" data-uk-observe>

				<div class="uk-width-1-2">
					<div class="uk-grid">
					<div class="uk-width-1-1">



		<?php
			/**
			 * woocommerce_single_product_summary hook
			 *
			 * @hooked woocommerce_template_single_title - 5
			 * @hooked woocommerce_template_single_rating - 10
			 * @hooked woocommerce_template_single_price - 10
			 * @hooked woocommerce_template_single_excerpt - 20
			 * @hooked woocommerce_template_single_add_to_cart - 30
			 * @hooked woocommerce_template_single_meta - 40
			 * @hooked woocommerce_template_single_sharing - 50
			 */
			//do_action( 'woocommerce_single_product_summary' );
		?>
</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
