<?php
/**
 * Variable product add to cart
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     2.9.0
 */

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

global $woocommerce, $product, $post;
?>

<script type="text/javascript">
    var product_variations_<?php echo $post->ID; ?> = <?php echo json_encode( $available_variations ) ?>;
</script>

<?php do_action( 'woocommerce_before_add_to_cart_form' ); ?>
<div class="uk-width-1-1">
<form class="variations_form cart" method="post" enctype='multipart/form-data' data-product_id="<?php echo $post->ID; ?>" data-product_variations="<?php echo esc_attr( json_encode( $available_variations ) ) ?>">
	<?php if ( ! empty( $available_variations ) ) : ?>
<div class="variations">
  <div class="uk-grid">
    <div class="uk-width-1-1 tm-product-page-add-cart">


<div class="uk-grid">
  <div class="uk-width-1-1">
				<?php $loop = 0; foreach ( $attributes as $name => $options ) : $loop++; ?>
				<h4 class="tm-product-page-attribute-title"><?php echo wc_attribute_label( $name ); ?></h4>
                        <?php
                            if ( is_array( $options ) ) {

                                if ( empty( $_POST ) )
                                    $selected_value = ( isset( $selected_attributes[ sanitize_title( $name ) ] ) ) ? $selected_attributes[ sanitize_title( $name ) ] : '';
                                else
                                    $selected_value = isset( $_POST[ 'attribute_' . sanitize_title( $name ) ] ) ? $_POST[ 'attribute_' . sanitize_title( $name ) ] : '';
								//echo   $selected_value;
                                // Get terms if this is a taxonomy - ordered
                                ?>
                                <div class="uk-grid">
                                  <div class="uk-width-1-1">
                                <?php
                                if ( taxonomy_exists( sanitize_title( $name ) ) ) {

                                    $terms = get_terms( sanitize_title($name), array('menu_order' => 'ASC') );

                                    foreach ( $terms as $term ) {
                                        if ( ! in_array( $term->slug, $options ) ) continue;
                                        echo '<div class="tm-product-page-radio" name="attribute_'. sanitize_title($name).'"><input rel="' . strtolower($term->slug) . '" class="tm-product-page-radio-input" type="radio" value="' . strtolower($term->slug) . '" ' . checked( strtolower ($selected_value), strtolower ($term->slug), false ) . ' id="' . strtolower($term->slug) . '" name="attribute_'. sanitize_title($name).'"><label for="' . strtolower($term->slug) . '"><span>' . mb_strcut(apply_filters( 'woocommerce_variation_option_name', $term->name ), 0, 2).' CM</span></label></div>';
                                    }
                                } else {
                                    foreach ( $options as $option )
                                        echo '<div class="tm-product-page-radio" name="attribute_'. sanitize_title($name).'"><input type="radio" value="' .esc_attr( sanitize_title( $option ) ) . '" ' . checked( sanitize_title( $selected_value ), sanitize_title( $option ), false ) . ' id="'. esc_attr( sanitize_title($name) ) .'" name="attribute_'. sanitize_title($name).'"><label for="'. sanitize_title($name).'"><span>' . mb_strcut(apply_filters( 'woocommerce_variation_option_name', $option ), 0, 2) . ' CM</span></label></div>';
                                }?>
                                </div>
                                </div>
                                <?php
                            }
                        ?>
                   <?php  if ( sizeof($attributes) == $loop ) ?>
		        <?php endforeach;?>
          </div>
</div>
</div>
<div class="uk-width-1-1 tm-product-page-price">
  <div class="uk-grid">
    <div class="uk-width-1-1 uk-width-small-1-3">
      <div class="single_variation"></div>
    </div>
      <div class="uk-width-1-1 uk-width-small-1-3">
		<?php do_action( 'woocommerce_before_add_to_cart_button' ); ?>

		<div class="single_variation_wrap" style="display:block;">
			<?php do_action( 'woocommerce_before_single_variation' ); ?>



			<div class="variations_button">
				<!-- <?php woocommerce_quantity_input(); ?> -->
				<button type="submit" class="single_add_to_cart_button tt-button-add-cart alt"><i class="uk-icon-shopping-cart"></i><span>buy</span></button>
			</div>

			<input type="hidden" name="add-to-cart" value="<?php echo $product->id; ?>" />
			<input type="hidden" name="product_id" value="<?php echo esc_attr( $post->ID ); ?>" />
			<input type="hidden" name="variation_id" value="" />

			<?php do_action( 'woocommerce_after_single_variation' ); ?>
		</div>
		<?php do_action( 'woocommerce_after_add_to_cart_button' ); ?>
  </div>
  <div class="uk-width-1-1 uk-width-small-1-3">
    <?php
    $default_wishlists = is_user_logged_in() ? YITH_WCWL()->get_wishlists( array( 'is_default' => true ) ) : false;

    if( ! empty( $default_wishlists ) ){
        $default_wishlist = $default_wishlists[0]['ID'];
    }
    else{
        $default_wishlist = false;
    }
    if(YITH_WCWL()->is_product_in_wishlist( $product->id, $default_wishlist )) {
        $class_is_active_wishlist = 'is-active';
    } else {
        $class_is_active_wishlist = 'no-active';
    }
    ?>
    <div class="variations_button">
      <a href="<?php echo esc_url( add_query_arg( 'add_to_wishlist', $product->id ) )?>" rel="nofollow" data-product-id="<?php echo $product->id ?>" data-product-type="<?php echo $product->product_type?>" class="<?php echo $class_is_active_wishlist; ?> tt-button-wishlist">
        <span>to wishlist</span>
      </a>
    </div>
  </div>
  </div>
  </div>
	<?php else : ?>

		<p class="stock out-of-stock"><?php esc_html_e( 'This product is currently out of stock and unavailable.', 'boss' ); ?></p>

	<?php endif; ?>
</div>
</div>
</form>
</div>
<?php do_action( 'woocommerce_after_add_to_cart_form' ); ?>
