<?php
/**
 * Additional Information tab
 *
 * @author        WooThemes
 * @package       WooCommerce/Templates
 * @version       2.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

global $post, $woocommerce, $product;
$attachment_ids = $product->get_gallery_attachment_ids();

$heading = apply_filters( 'woocommerce_product_additional_information_heading', esc_html__( 'Additional Information', 'boss' ) );

?>

<?php if ( $heading ): ?>
	<div class="uk-grid" data-uk-observe>
		<div class="uk-width-1-1 uk-width-small-1-2 tm-content-product-box">
			<div class="uk-grid">
				<div class="uk-width-1-1 tm-clear">
					<h3 class="tm-product-category-title">
						<?php $product_cats = wp_get_post_terms( get_the_ID(), 'product_cat' ); if ( $product_cats && ! is_wp_error ( $product_cats ) ){ $single_cat = array_shift( $product_cats ); echo trim($single_cat->name); } ?>
					</h3>
				</div>
				<div class="uk-width-1-1 tm-product-page-rating">
					<?php echo woocommerce_template_loop_rating(); ?>
				</div>
				<div class="uk-width-1-1 tm-product-page-content">
					<p><?php if(get_the_excerpt()){ the_excerpt(); }else{ echo 'No decription';} ?></p>
				</div>

				<?php if( $product->is_type( 'simple' ) ){ ?>
					<div style="margin-top: 0;" class="uk-width-1-1 tm-product-page-price">
					  <div class="uk-grid">
					    <div class="uk-width-1-1 uk-width-small-1-3">
					      <div class="single_variation">
									<?php woocommerce_template_loop_price(); ?>
								</div>
					    </div>
					      <div class="uk-width-1-1 uk-width-small-1-3">
									<?php
									/**
									 * Simple product add to cart
									 *
									 * @author 		WooThemes
									 * @package 	WooCommerce/Templates
									 * @version     2.1.0
									 */

									if ( ! defined( 'ABSPATH' ) ) {
										exit; // Exit if accessed directly
									}

									global $product;

									if ( ! $product->is_purchasable() ) {
										return;
									}

									?>

							

									<?php if ( $product->is_in_stock() ) : ?>

										<?php do_action( 'woocommerce_before_add_to_cart_form' ); ?>

										<form class="cart" method="post" enctype='multipart/form-data'>
										 	<?php do_action( 'woocommerce_before_add_to_cart_button' ); ?>


										 	<input type="hidden" name="add-to-cart" value="<?php echo esc_attr( $product->id ); ?>" />

											<button type="submit" class="single_add_to_cart_button tt-button-add-cart alt"><i class="uk-icon-shopping-cart"></i><span>buy</span></button>

											<?php do_action( 'woocommerce_after_add_to_cart_button' ); ?>
										</form>

										<?php do_action( 'woocommerce_after_add_to_cart_form' ); ?>

									<?php endif; ?>



							</div>
							<?php do_action( 'woocommerce_after_add_to_cart_button' ); ?>

					  <div class="uk-width-1-1 uk-width-small-1-3">
					    <?php
					    $default_wishlists = is_user_logged_in() ? YITH_WCWL()->get_wishlists( array( 'is_default' => true ) ) : false;

					    if( ! empty( $default_wishlists ) ){
					        $default_wishlist = $default_wishlists[0]['ID'];
					    }
					    else{
					        $default_wishlist = false;
					    }
					    if(YITH_WCWL()->is_product_in_wishlist( $product->id, $default_wishlist )) {
					        $class_is_active_wishlist = 'is-active';
					    } else {
					        $class_is_active_wishlist = 'no-active';
					    }
					    ?>
					    <div class="variations_button">
					      <a href="<?php echo esc_url( add_query_arg( 'add_to_wishlist', $product->id ) )?>" rel="nofollow" data-product-id="<?php echo $product->id ?>" data-product-type="<?php echo $product->product_type?>" class="<?php echo $class_is_active_wishlist; ?> tt-button-wishlist">
					        <span>to wishlist</span>
					      </a>
					    </div>
					  </div>
					  </div>
					  </div>
					<?php } elseif( $product->is_type( 'variable' ) ){ ?>
					<?php woocommerce_template_single_add_to_cart(); ?>
					<?php	}?>

			</div>
		</div>
		<div class="uk-width-1-1 uk-width-small-1-2 tm-content-product-box" style="display:<?php if ( $attachment_ids ) { echo 'block'; }else{echo 'none';} ?>">

			<div class="images">
				<div class="tm-mobile-product-gallery" data-uk-slider="{center:true}">

						<div class="uk-slider-container">
								<ul class="uk-slider uk-grid-width-medium-1-3 uk-grid-width-large-1-4">
			<?php

				if ( $attachment_ids ) {
					foreach ( $attachment_ids as $attachment_id ) {
						$image_link = wp_get_attachment_url( $attachment_id );
						if ( ! $image_link ) continue;
						$image_title = esc_attr( get_the_title( $attachment_id ) );
						echo "<li><a href='#'><img src='".$image_link."'' alt='".$image_title."' /></a></li>\r\n";
					}
				}
			?>

			        </ul>
			    </div>
					<a href="" class="uk-slidenav uk-slidenav-contrast uk-slidenav-previous" data-uk-slider-item="previous"></a>
				  <a href="" class="uk-slidenav uk-slidenav-contrast uk-slidenav-next" data-uk-slider-item="next"></a>
			</div>
			<div class="tm-desktop-product-gallery uk-slidenav-position uk-flex" data-uk-slideshow>
    	<ul class="uk-slideshow">

						<?php
						$attachment_ids = $product->get_gallery_attachment_ids();
							if ( $attachment_ids ) {
								foreach ( $attachment_ids as $attachment_id ) {
									$image_link = wp_get_attachment_url( $attachment_id );
									if ( ! $image_link ) continue;
									$image_title = esc_attr( get_the_title( $attachment_id ) );
									echo "<li><a href='#'><img src='".$image_link."'' alt='".$image_title."' /></a></li>\r\n";
								}
							}
						?>
			</ul>
			<ul class="uk-flex-right uk-dotnav uk-flex-column tm-product-page-thumbnail-nav">
				<?php
				//$attachment_ids = $product->get_gallery_attachment_ids();
					if ( $attachment_ids ) {
						$counter = 0;
						foreach ( $attachment_ids as $attachment_id ) {
							$image_link = wp_get_attachment_url( $attachment_id );
							if ( ! $image_link ) continue;
							$image_title = esc_attr( get_the_title( $attachment_id ) );


							echo "<li data-uk-slideshow-item='".$counter++."'><a class='tm-product-page-thumbnail-item' href='#'><img src='".$image_link."'' alt='".$image_title."' /></a></li>\r\n";
						}
					}
				?>
			</ul>
			</div>

			</div>
		</div>
	</div>
<?php endif; ?>

<?php //$product->list_attributes(); ?>
