<?php
/**
 * Description tab
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     2.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}


global $post, $woocommerce, $product;


$heading = esc_html( apply_filters( 'woocommerce_product_description_heading', esc_html__( 'Product Description', 'boss' ) ) );

?>

<?php if ( $heading ): ?>
	<div class="uk-grid">
            <div class="uk-width-1-1 uk-width-small-1-2">
                <div class="uk-grid">
                    <div class="uk-width-1-1 tm-product-page-specifications">
                            <h2>Details</h2>
                            <p><?php the_content(); ?></p>
                    </div>
                    <div class="uk-width-1-1 tm-product-page-specifications">
                            <h2>Specifications</h2>
                            <?php $product->list_attributes(); ?>
                    </div>
                </div>
            </div>
            <div class="uk-width-1-1 uk-width-small-1-2 tm-content-product-box">
                <?php global $post, $woocommerce, $product; ?>
                <div class="images">
                    <div class="tm-mobile-product-gallery" data-uk-slider="{center:true}">
                        <div class="uk-slider-container">
                            <ul class="uk-slider uk-grid-width-medium-1-3 uk-grid-width-large-1-4">
                                <?php
                                    $attachment_ids = $product->get_gallery_attachment_ids();
                                    if ( $attachment_ids ) {
                                        foreach ( $attachment_ids as $attachment_id ) {
                                            $image_link = wp_get_attachment_url( $attachment_id );
                                            if ( ! $image_link ) continue;
                                            $image_title = esc_attr( get_the_title( $attachment_id ) );
                                            echo "<li><a href='#'><img src='".$image_link."'' alt='".$image_title."' /></a></li>\r\n";
                                        }
                                    }
                                ?>
                            </ul>
                        </div>
                        <a href="" class="uk-slidenav uk-slidenav-contrast uk-slidenav-previous" data-uk-slider-item="previous"></a>
                        <a href="" class="uk-slidenav uk-slidenav-contrast uk-slidenav-next" data-uk-slider-item="next"></a>
                    </div>
                    <div class="tm-desktop-product-gallery uk-slidenav-position uk-flex" data-uk-slideshow>
                        <ul class="uk-slideshow">
                            <?php
                            $attachment_ids = $product->get_gallery_attachment_ids();
                                if ( $attachment_ids ) {
                                    foreach ( $attachment_ids as $attachment_id ) {
                                        $image_link = wp_get_attachment_url( $attachment_id );
                                        if ( ! $image_link ) continue;
                                        $image_title = esc_attr( get_the_title( $attachment_id ) );
                                        echo "<li><a href='#'><img src='".$image_link."'' alt='".$image_title."' /></a></li>\r\n";
                                    }
                                }
                            ?>
                        </ul>
                        <ul class="uk-flex-right uk-dotnav uk-flex-column tm-product-page-thumbnail-nav">
                            <?php
                            //$attachment_ids = $product->get_gallery_attachment_ids();
                                if ( $attachment_ids ) {
                                    $counter = 0;
                                    foreach ( $attachment_ids as $attachment_id ) {
                                        $image_link = wp_get_attachment_url( $attachment_id );
                                        if ( ! $image_link ) continue;
                                        $image_title = esc_attr( get_the_title( $attachment_id ) );
                                        echo "<li data-uk-slideshow-item='".$counter++."'><a class='tm-product-page-thumbnail-item' href='#'><img src='".$image_link."'' alt='".$image_title."' /></a></li>\r\n";
                                    }
                                }
                            ?>
                        </ul>
                    </div>
                </div>
            </div>
	</div>
<?php endif; ?>

<?php //$product->list_attributes(); ?>
