<?php
	/**
	Plugin Name: TT Image Rotator Widget
	Plugin URI: http://www.dknewmedia.com
	Description: A sidebar widget for rotating images utilizing jQuery. Great for displaying a stream of logos in your sidebar. Built by <a href="http://dknewmedia.com">DK New Media</a>.
	Version: 1.0.7
	Author: Douglas Karr, Stephen Coley
	Author URI: http://www.dknewmedia.com
	Text Domain: dk-new-medias-image-rotator-widget

	Copyright 2015  DK New Media  (email : info@dknewmedia.com)

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License, version 2, as
	published by the Free Software Foundation.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
	*/

	/**
	 * Script & stype loader for widget.php
	 */
	function irw_admin_actions($hook) {
		if('widgets.php' != $hook) {
			return;
		}

		if(function_exists('wp_enqueue_media')) {
			wp_enqueue_media();
		} else {
			wp_enqueue_style('thickbox');
			wp_enqueue_script('media-upload');
			wp_enqueue_script('thickbox');
		}

		wp_enqueue_script('jquery-ui-sortable');
		wp_enqueue_script('irw-js', plugins_url( '', __FILE__ ) . '/js/main.js', array('jquery','media-upload','thickbox'));
		wp_enqueue_script('irw-qtip', plugins_url( '', __FILE__ ) . '/js/jquery.qtip.js', array('jquery','media-upload','thickbox'));
		wp_enqueue_style('irw-css', plugins_url( '', __FILE__ ) .'/css/main.css' );
	}

	/**
	 * Script & style loader for the actual widget
	 */
	function irw_widget_actions() {
		wp_enqueue_script('jquery-imagesloaded', plugins_url( '', __FILE__ ) .'/js/jquery.imagesloaded.js', array( 'jquery' ) );
		wp_enqueue_script('irw-widget', plugins_url( '', __FILE__ ) . '/js/dkirw.js');
		wp_enqueue_style('irw-widget', plugins_url( '', __FILE__ ) . '/css/dkirw.css');
	}

	function irw_widget_init() {
		register_widget("DK_Image_Rotator_Widget");
	}

	/**
	 * Hooks & schizzz
	 */
	add_action('admin_enqueue_scripts', 'irw_admin_actions');
	add_action('wp_enqueue_scripts', 'irw_widget_actions');
	add_action('widgets_init', 'irw_widget_init' );

	/**
	 * DK_Image-Rotator-Widget Class
	 */
	class DK_Image_Rotator_Widget extends WP_Widget {

		/**
       * From wp-admin/includes/file.php
       *
       * Get the absolute filesystem path to the root of the WordPress installation
       *
       * @since 1.5.0
       *
       * @uses get_option
       * @return string Full filesystem path to the root of the WordPress installation
       */
		function get_home_path() {
			$home = get_option( 'home' );
			$siteurl = get_option( 'siteurl' );
			if ( ! empty( $home ) && 0 !== strcasecmp( $home, $siteurl ) ) {
				$wp_path_rel_to_home = str_ireplace( $home, '', $siteurl ); /* $siteurl - $home */
				$pos = strripos( str_replace( '\\', '/', $_SERVER['SCRIPT_FILENAME'] ), trailingslashit( $wp_path_rel_to_home ) );
				$home_path = substr( $_SERVER['SCRIPT_FILENAME'], 0, $pos );
				$home_path = trailingslashit( $home_path );
			} else {
				$home_path = ABSPATH;
			}

			return str_replace( '\\', '/', $home_path );
		}

		function DK_Image_Rotator_Widget() {
			parent::__construct('dk-image-rotator-widget', 'Image Rotator Widget', array('description' => 'A widgetized, bare bones image rotator.'));
		}

		function widget($args, $instance) {
			extract($args, EXTR_SKIP);
			$image_list = ( isset( $instance['irw_images']) ) ? $instance['irw_images'] : '';

			if(isset($image_list) && $image_list != "") {
				$images = explode(", ", $image_list);
				$irw_title = apply_filters('widget_title', $instance['irw_title']);


				echo $before_widget;
				if ( !empty( $irw_title ) ) { echo $before_title . $irw_title . $after_title; }

				$irw_abs_path = $this->get_home_path();
				?>
				<div data-uk-slider="{center:true}">
				            <div class="uk-container uk-container-center">
				                <h1 class="uk-panel-title tm-custom-title"><?php echo $irw_title; ?></h1>
				                <div class="tm-container-navigation">
				                  <a href="" class="tm-arrow-title tm-arrow-title-left uk-slidenav uk-slidenav-contrast uk-slidenav-previous" data-uk-slider-item="previous"><img src="<?php echo get_template_directory_uri(); ?>/images/tt-arrow-paginations-left.svg" class="tm-arrow-title-left-svg" data-uk-svg></a>
				                  <a href="" class="tm-arrow-title tm-arrow-title-right uk-slidenav uk-slidenav-contrast uk-slidenav-next" data-uk-slider-item="next"><img src="<?php echo get_template_directory_uri(); ?>/images/tt-arrow-paginations-right.svg" class="tm-arrow-title-right-svg" data-uk-svg></a>
				                </div>
				            </div>
				            <div class="uk-slider-container">
				                <ul class="uk-slider uk-grid uk-grid-large uk-grid-width-small-1-<?php echo $instance['size-small']; ?> uk-grid-width-medium-1-<?php echo $instance['size-medium']; ?> uk-grid-width-large-1-<?php echo $instance['size-large']; ?> uk-text-center ">


								<?php


				$irw_abs_path = $this->get_home_path();

				foreach($images as $image) {
					$a = explode("|", $image);
					$image_path = str_replace(get_bloginfo('url').'/', $irw_abs_path, $a[0]);
					$sizes = getimagesize($image_path);

						echo '<li><div class="tt-image-rotator"><a href="' . $a[1] . '"><img src="' . $a[0] . '" width="' . $sizes[0] . '" height="' . $sizes[1] . '" class="pointer_cursor" /></a></div></li>';

				}
			?>
		</ul>
</div>
</div>
<?php
				echo $after_widget;

			} else {
				echo '<p>You must add an image in the Widget Settings.</p>';
			}
		}

		function update($new_instance, $old_instance) {
			$instance = $old_instance;
			$instance['irw_title'] = strip_tags($new_instance['irw_title']);
			$instance['irw_images'] = strip_tags($new_instance['irw_images']);
			$instance['size-small'] = $new_instance['size-small'];
			$instance['size-medium'] = $new_instance['size-medium'];
			$instance['size-large'] = $new_instance['size-large'];
			return $instance;
		}

		function form($instance) {

			$defaults = array(
				'irw_title' => '',
				'irw_images' => '',
			);
			$instance = wp_parse_args((array) $instance, $defaults);

			if ($instance) {
				$irw_title = esc_attr($instance['irw_title']);
				$irw_images = esc_attr($instance['irw_images']);
			} ?>
			<p>
				<label for="<?php echo $this->get_field_id('irw_title'); ?>"><?php _e('Title:', 'dk-new-medias-image-rotator-widget'); ?></label>
				<input class="widefat" id="<?php echo $this->get_field_id('irw_title'); ?>" name="<?php echo $this->get_field_name('irw_title'); ?>" type="text" value="<?php echo $irw_title; ?>" />
			</p>
			<p>
				Responsive behavior
			</p>
			<?php $size_small = isset( $instance['size-small'] ) ? $instance['size-small'] : "1"; ?>
			<p>
					<label for="<?php echo esc_attr($this->get_field_id('size-small')); ?>">
							Small Mobile:
							<input class="widefat"
											id="<?php echo esc_attr($this->get_field_id('size-small')); ?>"
											name="<?php echo esc_attr($this->get_field_name('size-small')); ?>"
											type="number"
											min="1"
											max="5"
											step="1"
											value="<?php echo esc_attr($size_small); ?>" />
					</label>
			</p>
			<?php $size_medium = isset( $instance['size-medium'] ) ? $instance['size-medium'] : "2"; ?>
			<p>
					<label for="<?php echo esc_attr($this->get_field_id('size-medium')); ?>">
							Medium Mobile:
							<input class="widefat"
											id="<?php echo esc_attr($this->get_field_id('size-medium')); ?>"
											name="<?php echo esc_attr($this->get_field_name('size-medium')); ?>"
											type="number"
											min="1"
											max="5"
											step="1"
											value="<?php echo esc_attr($size_medium); ?>" />
					</label>
			</p>
			<?php $size_large = isset( $instance['size-large'] ) ? $instance['size-large'] : "3"; ?>
			<p>
					<label for="<?php echo esc_attr($this->get_field_id('size-large')); ?>">
							Large Mobile:
							<input class="widefat"
											id="<?php echo esc_attr($this->get_field_id('size-large')); ?>"
											name="<?php echo esc_attr($this->get_field_name('size-large')); ?>"
											type="number"
											min="1"
											max="6"
											step="1"
											value="<?php echo esc_attr($size_large); ?>" />
					</label>
			</p>
			<h5 class="irw_header">Images</h5>

			<ul class="irw_images">

				<?php if(isset($irw_images) && $irw_images != "") : ?>
					<?php $images = explode(", ", $irw_images); ?>
					<?php $i = 1; ?>
					<?php foreach($images as $image) : ?>
						<?php
							$a = explode("|", $image);
							if(count($a) > 1) {
								$image = $a[0];
								$image_link = $a[1];

							} else {
								$image = $a[0];
								$image_link = "";
								$image_alt = "";
							}
						?>
						<li data-url="<?php echo $image; ?>" data-link="<?php echo $image_link; ?>" data-alt="<?php echo $image_alt; ?>"><span><?php $arr = explode("/", $image); $i = count($arr); echo $arr[$i - 1]; ?></span> <button class="button irw_button"> - </button></li>
					<?php endforeach; ?>

				<?php else : ?>
					<?php $images = array(); ?>
				<?php endif; ?>
			</ul>
			<p style="width: 226px;" class="add_image text_align_right <?php if(count($images) < 1) { echo "alert"; } ?>">
				<?php $version = explode("-", get_bloginfo('version')); ?>
				<?php $dep = ($version >= 3.5) ? "" : "_dep"; ?>
				<button class="button add-image-button irw_button" onclick="media_dialog<?php echo $dep; ?>(this); return false;">+</button>
			</p>
			<input type="hidden" id="<?php echo $this->get_field_id('irw_images'); ?>" class="image_list" name="<?php echo $this->get_field_name('irw_images'); ?>" value="<?php echo $irw_images; ?>" />

			<script type="text/javascript">
				jQuery(function(){
					irw_load();
				});
			</script>

		<?php }
} ?>
