<?php
/*
  Plugin Name: TT Category
  Plugin URI: http://themeforest.net/user/torbara
  Description: Add category widget
  Author: Torbara
  Version: 1.0.0
  Author URI: http://themeforest.net/user/torbara/portfolio
 */

class Category_Portfolio extends \WP_Widget
{
    public function __construct()
    {
        $widget_ops = array('description' => 'Display your sites breadcrumb navigation');
        parent::__construct(false, 'Boss - Portfolio', $widget_ops);
    }

    public function widget($args, $instance)
    {
        extract($args, EXTR_SKIP);
        $widget_id = $args["widget_id"];



        echo $before_widget;
?>

<ul id="my-id" class="uk-nbfc uk-subnav tm-portfolio-navigation">

  <?php
    $args = array(
      'orderby' => 'id',
      'hide_empty'=> 0,
      'child_of' => $instance['CatID'], //Child From Boxes Category
    );


    $categories = get_categories($args);

    ?>
    <?php $thisCat = get_category(get_query_var('cat'),false); ?>
    <li class="<?php if($instance['CatID'] == $thisCat->term_id) { echo "is-active"; }?>"><a href="<?php echo get_category_link($instance['CatID']); ?>">All</a></li>
    <?php foreach ($categories as $cat) { ?>
      <li class="<?php if($cat->name == $thisCat->cat_name) { echo "is-active"; }?>"><a href="<?php echo get_site_url();?>/category/<?php echo $cat->name; ?>"><?php echo $cat->name; ?></a></li>
    <?php } ?>
</ul>

<?php

        echo $after_widget;

    }

    public function update($new_instance, $old_instance)
    {
      $instance = $old_instance;
      $instance['title'] = $new_instance['title'];
      $instance['CatID'] = $new_instance['CatID'];

      return $instance;
    }

    public function form($instance)
    {
        ?>
        <?php $title = isset( $instance['title'] ) ? $instance['title'] : ""; ?>
        <p>
            <label for="<?php echo $this->get_field_id('title') ?>"><?php _e('Title:','boss') ?></label>
            <input type="text" name="<?php echo $this->get_field_name('title') ?>"  value="<?php echo $title; ?>" class="widefat" id="<?php echo $this->get_field_id('title') ?>">
        </p>
        <?php $CatID = isset( $instance['CatID'] ) ? $instance['CatID'] : ""; ?>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id('CatID')); ?>">
                Select Category:
                <?php
                $args = array(
                    'type'                     => 'post',
                    'child_of'                 => 0,
                    'parent'                   => '',
                    'orderby'                  => 'name',
                    'order'                    => 'ASC',
                    'hide_empty'               => 1,
                    'hierarchical'             => 1,
                    'exclude'                  => '',
                    'include'                  => '',
                    'number'                   => '',
                    'taxonomy'                 => 'category',
                    'pad_counts'               => false
                );

                $cats = get_categories( $args ); ?>

                <select class="widefat"
                        id="<?php echo esc_attr($this->get_field_id('CatID')); ?>"
                        name="<?php echo esc_attr($this->get_field_name('CatID')); ?>"><?php
                    foreach ($cats as $cat){ ?>
                        <option value="<?php echo esc_attr($cat->term_id); ?>" <?php if($cat->term_id==$instance['CatID']){echo 'selected=""';} ?>><?php echo $cat->name; ?></option><?php
                    } ?>
                </select>
            </label>
        </p>
        <?php
    }
}

add_action('widgets_init', create_function('', 'return register_widget("Category_Portfolio");'));
