<?php
/*
  Plugin Name: TT Blog widget
  Plugin URI: http://themeforest.net/user/torbara
  Description: Widget for display post in blog.
  Author: Torbara
  Version: 1.0.0
  Author URI: http://themeforest.net/user/torbara/portfolio
 */

class tt_blog_widget extends WP_Widget {

    function __construct() {
        $widget_ops = array('classname' => 'tt_blog_widget', 'description' => 'Display latest posts from existing categorie');
        parent::__construct('tt_blog_widget', 'TT Blog widget', $widget_ops);
    }
    
    function form($instance) { ?>

        <?php $title = isset( $instance['title']) ? esc_attr( $instance['title'] ) : "Boss - Blog"; ?>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id('title')); ?>">
                Title:
                <input class="widefat"
                        id="<?php echo esc_attr($this->get_field_id('title')); ?>"
                        name="<?php echo esc_attr($this->get_field_name('title')); ?>"
                        type="text"
                        value="<?php echo esc_attr($title); ?>" />
            </label>
        </p>

        <?php $CatID = isset( $instance['CatID'] ) ? $instance['CatID'] : ""; ?>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id('CatID')); ?>">
                Select Category:
                <?php
                $args = array(
                    'type'                     => 'post',
                    'child_of'                 => 0,
                    'parent'                   => '',
                    'orderby'                  => 'name',
                    'order'                    => 'ASC',
                    'hide_empty'               => 1,
                    'hierarchical'             => 1,
                    'exclude'                  => '',
                    'include'                  => '',
                    'number'                   => '',
                    'taxonomy'                 => 'category',
                    'pad_counts'               => false
                );

                $cats = get_categories( $args ); ?>

                <select class="widefat"
                        id="<?php echo esc_attr($this->get_field_id('CatID')); ?>"
                        name="<?php echo esc_attr($this->get_field_name('CatID')); ?>"><?php
                    foreach ($cats as $cat){ ?>
                        <option value="<?php echo esc_attr($cat->term_id); ?>" <?php if($cat->term_id==$instance['CatID']){echo 'selected=""';} ?>><?php echo $cat->name; ?></option><?php
                    } ?>
                </select>
            </label>
        </p>
  			<?php $ItemCount = isset( $instance['ItemCount'] ) ? $instance['ItemCount'] : "1"; ?>
  			<p>
  					<label for="<?php echo esc_attr($this->get_field_id('ItemCount')); ?>">
  							Item count:
  							<input class="widefat"
  											id="<?php echo esc_attr($this->get_field_id('ItemCount')); ?>"
  											name="<?php echo esc_attr($this->get_field_name('ItemCount')); ?>"
  											type="number"
  											min="1"
  											max="5"
  											step="1"
  											value="<?php echo esc_attr($ItemCount); ?>" />
  					</label>
  			</p>

		<?php
                              
    }

    function update($new_instance, $old_instance) {
        $instance = $old_instance;
        $instance['title'] = $new_instance['title'];
        $instance['ItemCount'] = $new_instance['ItemCount'];
        $instance['CatID'] = $new_instance['CatID'];
        return $instance;
    }

    function widget($args, $instance) {
        extract($args, EXTR_SKIP);
        $widget_id = $args["widget_id"];

        echo $before_widget;
        $title = empty($instance['title']) ? ' ' : apply_filters('widget_title', $instance['title']);

        if (!empty($title)) {
            echo $before_title . $title . $after_title;
        }

        $args = array(
            'posts_per_page'   => $instance['ItemCount'],
            'offset'           => 0,
            'cat'              => $instance['CatID'],
            'orderby'          => 'post_date',
            'order'            => 'ASC',
            'post_status'      => 'publish',
            'suppress_filters' => true
        );
        // $list = get_posts( $args );


        ?>
        <?php $post = new WP_Query($args); ?>
                   <?php if ( $post->have_posts() ) : ?>
        <div data-uk-slider="{center:true}">
          <div class="uk-grid">
            <div class="uk-width-1-1">
            <h1 class="uk-panel-title tm-custom-title"><?php echo get_cat_name( $instance['CatID'] ) ?> blog</h1>
            <div class="tm-container-navigation">
              <a href="" class="tm-arrow-title tm-arrow-title-left uk-slidenav uk-slidenav-contrast uk-slidenav-previous" data-uk-slider-item="previous"><img src="<?php echo get_template_directory_uri(); ?>/images/tt-arrow-paginations-left.svg" class="tm-arrow-title-left-svg" alt="tm-arrow-title-left-svg" data-uk-svg></a>
              <a href="" class="tm-arrow-title tm-arrow-title-right uk-slidenav uk-slidenav-contrast uk-slidenav-next" data-uk-slider-item="next"><img src="<?php echo get_template_directory_uri(); ?>/images/tt-arrow-paginations-right.svg" class="tm-arrow-title-right-svg" alt="tm-arrow-title-right-svg" data-uk-svg></a>
            </div>
            </div>
          </div>
          <div class="uk-slider-container">
            <ul class="uk-slider uk-grid uk-grid-large uk-grid-width-small-1-1 uk-grid-width-medium-1-2 uk-grid-width-large-1-3 uk-text-center ">
<?php while ( $post->have_posts() ) : $post->the_post(); ?>
              <li class="" >
                <div class="tm-blog-item">
                  <?php if ( has_post_thumbnail(get_the_ID())) { ?>
                      <?php $src = wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID(), 'Blog'), false, '' ); ?>
                      <a href="<?php the_permalink(); ?>">
                      <div class="uk-cover-background" style="background-image: url(<?php echo $src[0]; ?>);">
                          <img class="uk-invisible" src="<?php echo $src[0]; ?>" width="600" height="400" alt="<?php the_title(); ?>">
                      </div>
                      </a>
                  <?php } else { ?>
                    <div class="uk-cover-background" style="background-image: url('<?php echo get_template_directory_uri(); ?>/images/tm-no-image.jpg');">
                        <a href="<?php the_permalink(); ?>"><img class="uk-invisible" src="<?php echo get_template_directory_uri(); ?>/images/tm-no-image.jpg" width="600" height="400" alt="<?php the_title(); ?>"></a>
                    </div>
                  <?php } ?>
                  <div class="tm-blog-item-info">
                    <div class="tm-blog-item-info_meta">
                      <span><?php echo get_the_time('j F');?></span>
                    </div>
                    <a href="<?php the_permalink(); ?>"><h1><?php the_title(); ?></h1></a>
                    <div class="tm-blog-item-bottom-info">
                      <div class="uk-clearfix">
    <div class="uk-float-left"><p><?php printf( _nx( '%1$s Comment', '%1$s Comments', get_comments_number(), 'comments title', 'textdomain' ), number_format_i18n( get_comments_number() ) ); ?></p></div>
</div>


                    </div>
                  </div>
                </div>
              </li>
              <?php endwhile; ?>
            </ul>
          </div>
        </div>
      <?php endif; ?>
      
        <?php wp_reset_query(); ?>

        <?php  echo $after_widget;
    }

}

// Add plugin settings
$Plugin_Name = plugin_basename( __FILE__ );
add_filter( "plugin_action_links_$Plugin_Name", 'tt_Add_Settings_Links_For_Plugin' );
if ( !function_exists('tt_Add_Settings_Links_For_Plugin') ) { 
    function tt_Add_Settings_Links_For_Plugin($links) {
        array_push($links, '<a title="We are developing beautiful themes and applications for the web!" href="http://torbara.com" target="_blank" style="font-weight: bold; font-size: 14px;"><img src="http://www.googledrive.com/host/0Bxtm5PidFyMoN3VhYWlfVU45MXc" alt="" style="width: 24px; vertical-align: middle; position: relative; top: -1px;"> Torbara.com</a>');
        array_push($links, '<a title="Our portfolio on Envato Market" href="http://themeforest.net/user/torbara/portfolio?ref=torbara" target="_blank"><img src="http://www.googledrive.com/host/0Bxtm5PidFyModml3aXJ0T3hFQ2M" alt="" style="width: 16px; vertical-align: middle; position: relative; top: -2px;"> Envato</a>');
        return $links;
    }
}

add_action('widgets_init', create_function('', 'return register_widget("tt_blog_widget");')); ?>
