<?php
/*
  Plugin Name: TT Latest Works widgets
  Plugin URI: http://themeforest.net/user/torbara
  Description: Add latest works widget.
  Author: Torbara
  Version: 1.0.0
  Author URI: http://themeforest.net/user/torbara/portfolio
 */

class tt_latest_work_widget extends WP_Widget {

    function __construct() {
        $widget_ops = array('classname' => 'tt_latest_work_widget', 'description' => 'Displays latest posts as carousel');
        parent::__construct('tt_latest_work_widget', 'TT Latest Works widgets', $widget_ops);
    }

    function form($instance) { ?>

        <?php $title = isset( $instance['title']) ? esc_attr( $instance['title'] ) : "Latest Works"; ?>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id('title')); ?>">
                Title:
                <input class="widefat"
                        id="<?php echo esc_attr($this->get_field_id('title')); ?>"
                        name="<?php echo esc_attr($this->get_field_name('title')); ?>"
                        type="text"
                        value="<?php echo esc_attr($title); ?>" />
            </label>
        </p>

        <?php $intro = isset( $instance['intro']) ? esc_attr( $instance['intro'] ) : "Latest_Works"; ?>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id('intro')); ?>">
                Intro text:
                <input class="widefat"
                        id="<?php echo esc_attr($this->get_field_id('intro')); ?>"
                        name="<?php echo esc_attr($this->get_field_name('intro')); ?>"
                        type="text"
                        value="<?php echo esc_attr($intro); ?>" />
            </label>
        </p>

        <?php $CatID = isset( $instance['CatID'] ) ? $instance['CatID'] : ""; ?>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id('CatID')); ?>">
                Select Category:
                <?php
                $args = array(
                    'type'                     => 'post',
                    'child_of'                 => 0,
                    'parent'                   => '',
                    'orderby'                  => 'name',
                    'order'                    => 'ASC',
                    'hide_empty'               => 1,
                    'hierarchical'             => 1,
                    'exclude'                  => '',
                    'include'                  => '',
                    'number'                   => '',
                    'taxonomy'                 => 'category',
                    'pad_counts'               => false
                );

                $cats = get_categories( $args ); ?>

                <select class="widefat"
                        id="<?php echo esc_attr($this->get_field_id('CatID')); ?>"
                        name="<?php echo esc_attr($this->get_field_name('CatID')); ?>"><?php
                    foreach ($cats as $cat){ ?>
                        <option value="<?php echo esc_attr($cat->term_id); ?>" <?php if($cat->term_id==$instance['CatID']){echo 'selected=""';} ?>><?php echo $cat->name; ?></option><?php
                    } ?>
                </select>
            </label>
        </p>

        <?php $ItemCount = isset( $instance['ItemCount'] ) ? $instance['ItemCount'] : "4"; ?>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id('ItemCount')); ?>">
                Number of tabs:
                <input class="widefat"
                        id="<?php echo esc_attr($this->get_field_id('ItemCount')); ?>"
                        name="<?php echo esc_attr($this->get_field_name('ItemCount')); ?>"
                        type="number"
                        min="1"
                        max="50"
                        step="1"
                        value="<?php echo esc_attr($ItemCount); ?>" />
            </label>
        </p>





        <?php
    }

    function update($new_instance, $old_instance) {
        $instance = $old_instance;
        $instance['title'] = $new_instance['title'];
        $instance['intro'] = $new_instance['intro'];
        $instance['ItemCount'] = $new_instance['ItemCount'];
        $instance['CatID'] = $new_instance['CatID'];


        return $instance;
    }

    function widget($args, $instance) {
        extract($args, EXTR_SKIP);
        $widget_id = $args["widget_id"];

        echo $before_widget;

        $title = empty($instance['title']) ? ' ' : apply_filters('widget_title', $instance['title']);

        if (!empty($title)) {
            echo $before_title . $title . $after_title;
        }

        $args = array(
            'posts_per_page'   => -1,
            'offset'           => 0,
            'cat'         => $instance['CatID'],
            'orderby'          => 'post_date',
            'order'            => 'ASC',
            'post_status'      => 'publish',
            'suppress_filters' => true
        );
        $list = get_posts( $args );
        $post_2 = new WP_Query($args);
        //Content animations
        $animation = isset( $instance['animation'] ) ? $instance['animation'] : "fade";

        ?>

  <div data-uk-slider="{center:true}" >
      <div class="uk-container uk-container-center">
          <h1 class="uk-panel-title tm-custom-title"><?php echo $instance['intro']; ?></h1>
          <div class="tm-container-navigation">
            <a href="" class="tm-arrow-title tm-arrow-title-left uk-slidenav uk-slidenav-contrast uk-slidenav-previous" data-uk-slider-item="previous"><img src="<?php echo get_template_directory_uri(); ?>/images/tt-arrow-paginations-left.svg" class="tm-arrow-title-left-svg" alt="tm-arrow-title-left-svg" data-uk-svg></a>
            <a href="" class="tm-arrow-title tm-arrow-title-right uk-slidenav uk-slidenav-contrast uk-slidenav-next" data-uk-slider-item="next"><img src="<?php echo get_template_directory_uri(); ?>/images/tt-arrow-paginations-right.svg" class="tm-arrow-title-right-svg" alt="tm-arrow-title-right-svg" data-uk-svg></a>
          </div>
      </div>

      <div class="uk-slider-container tm-latest-work" data-uk-observe>
          <ul class="uk-slider uk-grid uk-grid-collapse uk-grid-width-small-1-2 uk-grid-width-medium-1-4 uk-grid-width-large-1-4">

           <?php if ( $post_2->have_posts() ) : ?>
             <?php while ( $post_2->have_posts() ) : $post_2->the_post(); ?>
                  <li>
                      <?php if ( has_post_thumbnail(get_the_ID())) { ?>
                          <?php $src = wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID(), 'Latest_Works'), false, '' ); ?>
                          <!-- <a href="<?php the_permalink(get_the_ID()); ?>" title="<?php the_title_attribute(); ?>" > -->
                          <div class="uk-cover-background" style="background-image: url(<?php echo $src[0]; ?>);">
                              <img class="uk-invisible" src="<?php echo $src[0]; ?>" width="600" height="400" alt="<?php the_title(); ?>">
                              <div class="tm-latest-work-overlay">
                                  <a href="<?php the_permalink(); ?>"><h1><?php the_title(); ?></h1></a>
                              </div>
                              <div class="tm-sub-overlay">
                                <div class="uk-vertical-align uk-panel tm-sub-overlay-count">
                                        <div class="uk-vertical-align-middle uk-width-medium-1-2">
                                        <p><?php echo easy_image_gallery_count_images(get_the_ID()). ' photos';?></p>
                                        </div>
                                    </div>
                              </div>
                          </div>

                          <!-- </a> -->
                      <?php } else { ?>
                        <div class="uk-cover-background" style="background-image: url('<?php echo get_template_directory_uri(); ?>/images/tm-no-image.jpg');">
                            <img class="uk-invisible" src="<?php echo get_template_directory_uri(); ?>/images/tm-no-image.jpg" width="600" height="400" alt="<?php the_title(); ?>">
                        <div class="tm-latest-work-overlay">
                                <a href="<?php the_permalink(); ?>"><h1><?php the_title(); ?></h1></a>
                            </div>
                            <div class="tm-sub-overlay">
                                  <div class="uk-vertical-align uk-panel">
                                      <div class="uk-vertical-align-middle uk-width-medium-1-2">

                                      </div>
                              </div>
                            </div>
                        </div>
                      <?php } ?>
                  </li>
                <?php endwhile; ?>
        <?php endif; ?>
        <?php wp_reset_query(); ?>
          </ul>
      </div>

  </div>


<?php
        echo $after_widget;
    }

}

// Add plugin settings
$Plugin_Name = plugin_basename( __FILE__ );
add_filter( "plugin_action_links_$Plugin_Name", 'tt_Add_Settings_Links_For_Plugin' );
if ( !function_exists('tt_Add_Settings_Links_For_Plugin') ) { 
    function tt_Add_Settings_Links_For_Plugin($links) {
        array_push($links, '<a title="We are developing beautiful themes and applications for the web!" href="http://torbara.com" target="_blank" style="font-weight: bold; font-size: 14px;"><img src="http://www.googledrive.com/host/0Bxtm5PidFyMoN3VhYWlfVU45MXc" alt="" style="width: 24px; vertical-align: middle; position: relative; top: -1px;"> Torbara.com</a>');
        array_push($links, '<a title="Our portfolio on Envato Market" href="http://themeforest.net/user/torbara/portfolio?ref=torbara" target="_blank"><img src="http://www.googledrive.com/host/0Bxtm5PidFyModml3aXJ0T3hFQ2M" alt="" style="width: 16px; vertical-align: middle; position: relative; top: -2px;"> Envato</a>');
        return $links;
    }
}

add_action('widgets_init', create_function('', 'return register_widget("tt_latest_work_widget");')); ?>
