<?php
/*
  Plugin Name: TT Media Slider widget
  Plugin URI:  http://themeforest.net/user/torbara
  Description: Display Images (media) at Slider Carousel.
  Author: torbara
  Version: 1.0.0
  Author URI:
 */

class tt_media_slider_widget extends WP_Widget {

    function __construct() {
        $widget_ops = array('classname' => 'tt_media_slider_widget', 'description' => 'Display Images at Slider Carousel');
        parent::__construct('tt_media_slider_widget', 'TT media slider widget', $widget_ops);
    }

    function form($instance) {

        if(isset($instance['title'] )){
            $title =  $instance['title'];
        }else{
            $title =  "Media slider";
        }

        if(isset($instance['toptext'] )){
            $toptext =  $instance['toptext'];
        }else{
            $toptext =  "";
        }

        ?>
        <p>
            <label for="<?php echo $this->get_field_id('title'); ?>">
                Title:
                <input class="widefat"
                        id="<?php echo $this->get_field_id('title'); ?>"
                        name="<?php echo $this->get_field_name('title'); ?>"
                        type="text"
                        value="<?php echo $title; ?>" />
            </label>
        </p>
        <?php
        // jQuery
        wp_enqueue_script('jquery');
        // This will enqueue the Media Uploader script
        wp_enqueue_media();
        // OpenMediaFrame scripts
        wp_enqueue_script('upload_media_widget', plugin_dir_url(__FILE__) . 'upload-media.js', array('jquery'));
        ?>

        <?php $images_id = isset( $instance['images_id'] ) ? $instance['images_id'] : ""; ?>

        <div>
            <label for="images_id">Images:</label>
            <input class="widefat"
                   id="<?php echo esc_attr($this->get_field_id('images_id')); ?>"
                   name="<?php echo esc_attr($this->get_field_name('images_id')); ?>"
                   type="hidden"
                   value="<?php echo esc_attr($images_id); ?>" />&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
            <a href="#" class="button" onclick="OpenMediaFrame(jQuery(this).prev()); return false;">Select Images</a>
        </div>


        <?php

    }

    function update($new_instance, $old_instance) {
        $instance = $old_instance;
        $instance['title'] = $new_instance['title'];
        $instance['ImagesCount'] = $new_instance['ImagesCount'];
        $instance['images_id'] = $new_instance['images_id'];


        return $instance;
    }

    function widget($args, $instance) {
        extract($args, EXTR_SKIP);

        echo $before_widget;

        $title = empty($instance['title']) ? ' ' : apply_filters('widget_title', $instance['title']);
        if (!empty($title)) {
            echo $before_title . $title . $after_title;
        }

        $toptext= empty($instance['toptext']);

        // If no selected images
        if(empty($instance['images_id'])){
            echo '<div class="uk-alert uk-alert-danger">Please select images in widget settings</div>';
            return ;
        }

        $aoi = array(); // Array with images data
        $imgIDs = explode(",", $instance['images_id']); // Images IDs
        foreach ($imgIDs as $imgID) {
            $imgData = wp_prepare_attachment_for_js ( $imgID );
            $aoi [] = $imgData;
        }

        if(isset($instance['ImagesCount'])){
            $ImagesCount = $instance['ImagesCount'];
            if($ImagesCount > 6){
                $ImagesCount = 6;
            }
        }else{
            $ImagesCount = 3;
        }



        $args = array(
            'posts_per_page'   => $ImagesCount,
            'offset'           => 0,
            'orderby'          => 'post_date',
            'order'            => 'ASC',
            'post_status'      => 'publish',
            'suppress_filters' => true
        );
        $list = get_posts( $args );
        ?>
      <div class="uk-grid uk-grid-collapse">
        <?php foreach ($aoi as $item) { ?>
          <div class="uk-width-medium-1-6 uk-width-small-1-2">
            <a class="tm-gallery" href="<?php echo $item["url"]; ?>" data-uk-lightbox="{group:'group1'}" title="<?php echo $item["title"]; ?>">
              <img src="<?php echo $item["url"]; ?>" width="800" height="600" alt="<?php echo $item["filename"]; ?>">
            </a>
          </div>
        <?php } ?>
      </div>
      <?php
      echo $after_widget;
    }

     /**
     * Upload the Javascripts for the media uploader
     */
    public function upload_scripts()
    {
        wp_enqueue_script('media-upload');
        wp_enqueue_script('thickbox');

        wp_enqueue_style('thickbox');
    }

}

// Add plugin settings
$Plugin_Name = plugin_basename( __FILE__ );
add_filter( "plugin_action_links_$Plugin_Name", 'tt_Add_Settings_Links_For_Plugin' );
if ( !function_exists('tt_Add_Settings_Links_For_Plugin') ) { 
    function tt_Add_Settings_Links_For_Plugin($links) {
        array_push($links, '<a title="We are developing beautiful themes and applications for the web!" href="http://torbara.com" target="_blank" style="font-weight: bold; font-size: 14px;"><img src="http://www.googledrive.com/host/0Bxtm5PidFyMoN3VhYWlfVU45MXc" alt="" style="width: 24px; vertical-align: middle; position: relative; top: -1px;"> Torbara.com</a>');
        array_push($links, '<a title="Our portfolio on Envato Market" href="http://themeforest.net/user/torbara/portfolio?ref=torbara" target="_blank"><img src="http://www.googledrive.com/host/0Bxtm5PidFyModml3aXJ0T3hFQ2M" alt="" style="width: 16px; vertical-align: middle; position: relative; top: -2px;"> Envato</a>');
        return $links;
    }
}

add_action('widgets_init', create_function('', 'return register_widget("tt_media_slider_widget");')); ?>
