<?php
/*
  Plugin Name: TT Repeater fields widget
  Plugin URI: http://themeforest.net/user/torbara
  Description: Widget Social share.
  Author: Torbara
  Version: 1.0.0
  Author URI: http://themeforest.net/user/torbara/portfolio
 */

if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

class tt_repeater_fields_widget extends WP_Widget {

  function tt_repeater_fields_widget() {
    parent::__construct(false, $name = 'TT Repeater fields widget');
  }

  function widget($args, $instance) {
    extract( $args );
    $max_entries = '100';
    $max_entries = (empty($max_entries)) ? '4' : $max_entries;
    $link_target = get_option('rew_link_target');
    $alignment = get_option('content_align');
    $title      = $before_title.apply_filters('widget_title', $instance['title']).$after_title;
    echo $before_widget;
    echo $title;
?>

    <h1 class="uk-panel-title uk-text-center"><?php echo $instance['title']; ?></h1>
    <ul class="uk-grid uk-grid-large uk-grid-width-small-1-<?php echo esc_attr($instance['size-small']); ?> uk-grid-width-medium-1-<?php echo esc_attr($instance['size-medium']); ?> uk-grid-width-large-1-<?php echo esc_attr($instance['size-large']); ?> uk-text-center">
<?php
    for($i=0; $i<$max_entries; $i++) {

      $block = $instance['block-' . $i];

      if(isset($block) && $block != "") {
        $caption = $instance['caption-' . $i];
        $caption_link = $instance['caption_link-' . $i];

          if(get_option( 'rew_caption_link' ) == 1 && !empty($caption_link)){
            if($link_target == '_window'){
              $caption_target = $caption_link;
            } else {
              $caption_target = $caption_link;
            }
              $caption = $caption;
            }

      $short_desc    = apply_filters('the_content', $instance['short_desc-' . $i]);

      if(strlen($short_desc) > 200) $short_desc = substr($short_desc, 0, 200).'...';
        $full_description = apply_filters('the_content', $instance['full_desc-' . $i]);
      if(strlen($full_description) > 200)
        $full_desc = substr($full_description, 0, 200).'...';
      else
        $full_desc = $full_description;
        $short_desc_link = $instance['short_desc_link-' . $i];
        $button_title = empty($instance['button_title-' . $i]) ? 'Start Now' : $instance['button_title-' . $i];
        $short_desc_button="";
        $button_target = 'class="caption-item_link" href="'.$short_desc_link.'"';
        $short_desc_button = '<a '.$button_target.'>'.$button_title.'</a>';

?>

      <li>
        <div class="tm-rew-caption">
          <div class="tm-rew-caption_2"></div>
          <div class="tm-rew-caption_3"></div>
          <div class="caption-item"><h1><?php echo $caption_link;?></h1></div>
          <div class="caption-item"><h3><?php echo $caption;?></h3></div>
            <div class="line"></div>
          <div class="caption-item"><p><?php echo $short_desc; ?></p></div>
          <div class="caption-item caption-item_li"><?php echo $short_desc_button; ?></div>
        </div>
      </li>
<?php
      }
    }
?>
    </ul>
<?php
    echo $after_widget;
  }

  function update($new_instance, $old_instance) {

    $instance = array();
    $max_entries = '100';
    $max_entries = (empty($max_entries)) ? '4' : $max_entries;
    $instance['title'] = strip_tags($new_instance['title']);
    $instance['size-small'] = $new_instance['size-small'];
    $instance['size-medium'] = $new_instance['size-medium'];
    $instance['size-large'] = $new_instance['size-large'];

    for($i=0; $i<$max_entries; $i++){

      $block = $new_instance['block-' . $i];

      if($block == 0 || $block == "")  {
        $instance['block-' . $i] = $new_instance['block-' . $i];
        $instance['caption-' . $i] = strip_tags($new_instance['caption-' . $i]);
        $instance['caption_link-' . $i] = strip_tags($new_instance['caption_link-' . $i]);
        $instance['image_uri-' . $i]   = strip_tags($new_instance['image_uri-' . $i]);
        $instance['alternate_text-' . $i]   = strip_tags($new_instance['alternate_text-' . $i]);
        $instance['size-' . $i]       = strip_tags($new_instance['size-' . $i]);
        $instance['width-' . $i]      = strip_tags($new_instance['width-' . $i]);
        $instance['height-' . $i]     = strip_tags($new_instance['height-' . $i]);
        $instance['image_link-' . $i] = strip_tags($new_instance['image_link-' . $i]);
        $instance['short_desc-' . $i] = strip_tags($new_instance['short_desc-' . $i]);
        $instance['short_desc_link-' . $i] = strip_tags($new_instance['short_desc_link-' . $i]);
        $instance['full_desc-' . $i]     = strip_tags($new_instance['full_desc-' . $i]);
        $instance['button_title-' . $i] = strip_tags($new_instance['button_title-' . $i]);
      }
      else  {
        $count = $block - 1;
        $instance['block-' . $count] = $new_instance['block-' . $i];
        $instance['caption-' . $count] = strip_tags($new_instance['caption-' . $i]);
        $instance['caption_link-' . $count] = strip_tags($new_instance['caption_link-' . $i]);
        $instance['image_uri-' . $count]   = strip_tags($new_instance['image_uri-' . $i]);
        $instance['alternate_text-' . $count]   = strip_tags($new_instance['alternate_text-' . $i]);
        $instance['size-' . $count]       = strip_tags($new_instance['size-' . $i]);
        $instance['width-' . $count]      = strip_tags($new_instance['width-' . $i]);
        $instance['height-' . $count]     = strip_tags($new_instance['height-' . $i]);
        $instance['image_link-' . $count] = strip_tags($new_instance['image_link-' . $i]);
        $instance['short_desc-' . $count] = strip_tags($new_instance['short_desc-' . $i]);
        $instance['short_desc_link-' . $count] = strip_tags($new_instance['short_desc_link-' . $i]);
        $instance['full_desc-' . $count]     = strip_tags($new_instance['full_desc-' . $i]);
        $instance['button_title-' . $count] = strip_tags($new_instance['button_title-' . $i]);
      }
    }
    return $instance;
  }

  function form($instance) {

    $max_entries = '100';
    $max_entries = (empty($max_entries)) ? '5' : $max_entries;
    $widget_add_id = $this->id . "-add";
    $title   = esc_attr(@$instance['title']);
    $size_small = esc_attr(@$instance['size-small']);
    $size_small = esc_attr(@$instance['size-medium']);
    $size_small = esc_attr(@$instance['size-large']);

    $rew_html = '<p>';
    $rew_html .= '<label for="'.$this->get_field_id('title').'">Widget Title:</label>';
    $rew_html .= '<input id="'.$this->get_field_id('title').'" name="'.$this->get_field_name('title').'" type="text" value="'.$title.'" />';
    $rew_html .= '<div class="'.$widget_add_id.'-input-containers"><div id="entries">';
?>
    <p>
      <label for="<?php echo esc_attr($this->get_field_id('size-small')); ?>">Small Mobile:</label>
        <select
          class="widefat"
          id="<?php echo esc_attr($this->get_field_id('size-small')); ?>"
          name="<?php echo esc_attr($this->get_field_name('size-small')); ?>">
            <option value="1" <?php if('1'==$instance['size-small']){echo 'selected=""';} ?>>1</option>
            <option value="2" <?php if('2'==$instance['size-small']){echo 'selected=""';} ?>>2</option>
            <option value="3" <?php if('3'==$instance['size-small']){echo 'selected=""';} ?>>3</option>
            <option value="4" <?php if('4'==$instance['size-small']){echo 'selected=""';} ?>>4</option>
            <option value="5" <?php if('5'==$instance['size-small']){echo 'selected=""';} ?>>5</option>
            <option value="6" <?php if('6'==$instance['size-small']){echo 'selected=""';} ?>>6</option>
        </select>
    </p>
    <p>
      <label for="<?php echo esc_attr($this->get_field_id('size-small')); ?>">Medium Mobile:</label>
        <select
          class="widefat"
          id="<?php echo esc_attr($this->get_field_id('size-medium')); ?>"
          name="<?php echo esc_attr($this->get_field_name('size-medium')); ?>">
            <option value="1" <?php if('1'==$instance['size-medium']){echo 'selected=""';} ?>>1</option>
            <option value="2" <?php if('2'==$instance['size-medium']){echo 'selected=""';} ?>>2</option>
            <option value="3" <?php if('3'==$instance['size-medium']){echo 'selected=""';} ?>>3</option>
            <option value="4" <?php if('4'==$instance['size-medium']){echo 'selected=""';} ?>>4</option>
            <option value="5" <?php if('5'==$instance['size-medium']){echo 'selected=""';} ?>>5</option>
            <option value="6" <?php if('6'==$instance['size-medium']){echo 'selected=""';} ?>>6</option>
        </select>
    </p>
    <p style="padding-bottom: 40px;">
      <label for="<?php echo esc_attr($this->get_field_id('size-small')); ?>">Large Mobile:</label>
        <select
          class="widefat"
          id="<?php echo esc_attr($this->get_field_id('size-large')); ?>"
          name="<?php echo esc_attr($this->get_field_name('size-large')); ?>">
            <option value="1" <?php if('1'==$instance['size-large']){echo 'selected=""';} ?>>1</option>
            <option value="2" <?php if('2'==$instance['size-large']){echo 'selected=""';} ?>>2</option>
            <option value="3" <?php if('3'==$instance['size-large']){echo 'selected=""';} ?>>3</option>
            <option value="4" <?php if('4'==$instance['size-large']){echo 'selected=""';} ?>>4</option>
            <option value="5" <?php if('5'==$instance['size-large']){echo 'selected=""';} ?>>5</option>
            <option value="6" <?php if('6'==$instance['size-large']){echo 'selected=""';} ?>>6</option>
      </select>
    </p>
<?php

    for( $i =0; $i<$max_entries; $i++)  {

      $display = (!isset($instance['block-' . $i]) || ($instance['block-' . $i] == "")) ? 'style="display:none;"' : '';

      if($display)
        unset($instance);
      $rew_html .= '<div id="entry'.($i+1).'" '.$display.' class="entrys"><span class="entry-title" onclick = "slider(this);">'.@$instance['caption-' . $i].'</span>';
      $rew_html .= '<div class="entry-desc cf">';
      $rew_html .= '<input id="'.$this->get_field_id('block-' . $i ).'" name="'.$this->get_field_name('block-' . $i ).'" type="hidden" value="'.@$instance['block-' . $i].'">';

      $rew_html .= '<p>';
      $rew_html .= '<label for="'.$this->get_field_id('caption-' . $i ).'">Services:</label>';
      $rew_html .= '<input id="'.$this->get_field_id('caption-' . $i ).'" name="'.$this->get_field_name('caption-' . $i ).'" type="text" value="'.@$instance['caption-' . $i].'">';
      $rew_html .= '</p>';

      $rew_html .= '<p>';
      $rew_html .= '<label for="'.$this->get_field_id('caption_link-' . $i).'">Price:</label>';
      $rew_html .= '<input id="'.$this->get_field_id('caption_link-' . $i).'" name="'.$this->get_field_name('caption_link-' . $i).'" type="text" value="'.@$instance['caption_link-' . $i].'">';
      $rew_html .= '</p>';

      $short_desc    = esc_attr(@$instance['short_desc-' . $i]);
      $short_desc_link    = esc_attr(@$instance['short_desc_link-' . $i]);
      $full_desc    = esc_attr(@$instance['full_desc-' . $i]);
      $button_title    = esc_attr(@$instance['button_title-' . $i]);

      $rew_html .= '<p class="last desc">';
      $rew_html .= '<label for="'.$this->get_field_id('short_desc-' . $i).'">Short Description:</label>';
      $rew_html .= '<textarea id="'.$this->get_field_id('short_desc-' . $i).'" name="'.$this->get_field_name('short_desc-' . $i).'">'.$short_desc.'</textarea>';
      $rew_html .= '</p><p>';
      $rew_html .= '<label for="'.$this->get_field_id('short_desc_link-' . $i).'">Link page:</label>';
      $rew_html .= '<input class="widefat" id="'.$this->get_field_id('short_desc_link-' . $i).'" name="'.$this->get_field_name('short_desc_link-' . $i).'" type="text" value="'.$short_desc_link.'" />';
      $rew_html .= '</p>';

      $rew_html .= '<p><a href="#delete"><span class="delete-row">Delete Row</span></a></p>';
      $rew_html .= '</div></div>';

    }

    $rew_html .= '</div></div>';
    $rew_html .= '<div id="message">Sorry, you reached to the limit of "'.$max_entries.'" maximum entries.</div>'  ;
    $rew_html .= '<div style="height: 20px;line-height: 0;margin: 13px 0 18px 0;padding: 18px;" class="button-primary '.$widget_add_id.'" style="display:none;">ADD ROW</div>';

?>

  <script>
    jQuery(document).ready(function(e) {
      jQuery.each(jQuery(".<?php echo $widget_add_id; ?>-input-containers #entries").children(), function(){
        if(jQuery(this).find('input').val() != ''){
          jQuery(this).show();
        }
      });
        jQuery(".<?php echo $widget_add_id; ?>" ).bind('click', function(e) {
          var rows = 0;
          jQuery.each(jQuery(".<?php echo $widget_add_id; ?>-input-containers #entries").children(), function(){
            if(jQuery(this).find('input').val() == ''){
              jQuery(this).find(".entry-title").addClass("active");
              jQuery(this).find(".entry-desc").slideDown();
              jQuery(this).find('input').first().val('0');
              jQuery(this).show();
              return false;
            }
            else{
              rows++;
              jQuery(this).show();
              jQuery(this).find(".entry-title").removeClass("active");
              jQuery(this).find(".entry-desc").slideUp();
            }
          });
          if(rows == '<?php echo $max_entries;?>')
          {
            jQuery("#rew_container #message").show();
          }
        });
        jQuery(".delete-row" ).bind('click', function(e) {
          var count = 1;
          var current = jQuery(this).closest('.entrys').attr('id');
          jQuery.each(jQuery("#entries #"+current+" .entry-desc").children(), function(){
            jQuery(this).val('');
          });
          jQuery.each(jQuery("#entries #"+current+" .entry-desc p").children(), function(){
            jQuery(this).val('');
          });
          jQuery('#entries #'+current+" .entry-title").removeClass('active');
          jQuery('#entries #'+current+" .entry-desc").hide();
          jQuery('#entries #'+current).remove();
          jQuery.each(jQuery(".<?php echo $widget_add_id; ?>-input-containers #entries").children(), function(){
            if(jQuery(this).find('input').val() != ''){
              jQuery(this).find('input').first().val(count);
            }
            count++;
          });
        });

      });
  </script>
  <style>
	.cf:before, .cf:after { content: ""; display: table; }
	.cf:after { clear: both; }
	.cf { zoom: 1; }
	.clear { clear: both; }
	.clearfix:after { content: "."; display: block; height: 0; clear: both; visibility: hidden; }
	.clearfix { display: inline-block; }
	* html .clearfix { height: 1%; }
	.clearfix { display: block;}

  #rew_container input,select,textarea{ float: right;width: 60%;}
  #rew_container label{width:40%;}
  <?php echo '.'.$widget_add_id; ?>{
      background: #ccc none repeat scroll 0 0;font-weight: bold;margin: 20px 0px 9px;padding: 6px;text-align: center;display:block!important;cursor:pointer;
    }
  .block-image{width:50px; height:30px; float: right; display:none;}
  .desc{height:55px;}
	#entries #remove-img{background:url('<?php echo plugins_url();?>/tt_repeater_fields_widget/assets/deleteimg.png') center center no-repeat; width:20px; height:22px;display:none;}
	#entries{ padding:10px 0 0;}
	#entries .entrys{ padding:0; border:1px solid #e5e5e5; margin:10px 0 0; clear:both;}
	#entries .entrys:first-child{ margin:0;}
  #entries .delete-row{margin-top:20px;float:right;text-decoration: underline;color:red;}
	#entries .entry-title{ display:block; font-size:14px; line-height:18px; font-weight:600; background:#f1f1f1; padding:7px 5px; position:relative;}
	#entries .entry-title:after{ content: '\f140'; font: 400 20px/1 dashicons; position:absolute; right:10px; top:6px; color:#a0a5aa;}
	#entries .entry-title.active:after{ content: '\f142';}
	#entries .entry-desc{ display:none; padding:0 10px 10px; border-top:1px solid #e5e5e5;}
	#rew_container #entries p.last label{ white-space: pre-line; float:left; width:39%;}
  #message{padding:6px;display:none;color:red;font-weight:bold;}
  </style>
  <div id="rew_container">
    <?php echo $rew_html;?>
  </div>

<?php
  }
}

add_action('widgets_init', create_function('', 'return register_widget("tt_repeater_fields_widget");'));


function rew_admin_enqueue()  {

wp_enqueue_style('thickbox');
wp_enqueue_script('media-upload');
wp_enqueue_script('thickbox');
wp_enqueue_script('rew', '/wp-content/plugins/tt_repeater_fields_widget/js/repeater-widget.js', null, null, true);

}

// Add plugin settings
$Plugin_Name = plugin_basename( __FILE__ );
add_filter( "plugin_action_links_$Plugin_Name", 'tt_Add_Settings_Links_For_Plugin' );
if ( !function_exists('tt_Add_Settings_Links_For_Plugin') ) { 
    function tt_Add_Settings_Links_For_Plugin($links) {
        array_push($links, '<a title="We are developing beautiful themes and applications for the web!" href="http://torbara.com" target="_blank" style="font-weight: bold; font-size: 14px;"><img src="http://www.googledrive.com/host/0Bxtm5PidFyMoN3VhYWlfVU45MXc" alt="" style="width: 24px; vertical-align: middle; position: relative; top: -1px;"> Torbara.com</a>');
        array_push($links, '<a title="Our portfolio on Envato Market" href="http://themeforest.net/user/torbara/portfolio?ref=torbara" target="_blank"><img src="http://www.googledrive.com/host/0Bxtm5PidFyModml3aXJ0T3hFQ2M" alt="" style="width: 16px; vertical-align: middle; position: relative; top: -2px;"> Envato</a>');
        return $links;
    }
}

add_action('admin_enqueue_scripts', 'rew_admin_enqueue');


function rew_front_enqueue() {

wp_enqueue_script('rew', '/wp-content/plugins/tt_repeater_fields_widget/js/repeater-widget.js', null, null, true);

}

add_action('wp_head', 'rew_front_enqueue');

?>
