<?php
/*
  Plugin Name: TT Social widget
  Plugin URI: http://themeforest.net/user/torbara
  Description: add social widget
  Author: Torbara
  Version: 1.0.0
  Author URI: http://themeforest.net/user/torbara/portfolio
 */
class tt_social_widget extends \WP_Widget
{
    function __construct() {
        $widget_ops = array('classname' => 'tt_social_widget', 'description' => 'Display links to social profiles');
        parent::__construct('tt_social_widget', 'TT Social widget', $widget_ops);
    }

    public function widget($args, $instance)
    {
        extract($args, EXTR_SKIP);
        $widget_id = $args["widget_id"];

        echo $before_widget;
?>

      <ul class="tm-social-links_button">
        <?php if($instance['twitter'] != '0') : ?>
          <li>
            <a class="tm-twitter" target="_blank" href="<?php echo $instance['twitter']; ?>"></a>
          </li>
        <?php endif; ?>

        <?php if($instance['facebook'] != '0') : ?>
          <li>
            <a class="tm-facebook" target="_blank" href="<?php echo $instance['facebook']; ?>"></a>
          </li>
        <?php endif; ?>

        <?php if($instance['pinterest'] != '0') : ?>
          <li>
            <a class="tm-pinterest" target="_blank" href="<?php echo $instance['pinterest']; ?>"></a>
          </li>
        <?php endif; ?>

        <?php if($instance['vimeo'] != '0') : ?>
          <li>
            <a class="tm-vimeo" target="_blank" href="<?php echo $instance['vimeo']; ?>"></a>
          </li>
        <?php endif; ?>

        <?php if($instance['youtube'] != '0') : ?>
          <li>
            <a class="tm-youtube" target="_blank" href="<?php echo $instance['youtube']; ?>"></a>
          </li>
        <?php endif; ?>

        <?php if($instance['in'] != '0') : ?>
          <li>
            <a class="tm-in" target="_blank" href="<?php echo $instance['in']; ?>"></a>
          </li>
        <?php endif; ?>

      </ul>

<?php

        echo $after_widget;

    }

    public function update($new_instance, $old_instance)
    {
      $instance = $old_instance;
      $instance['title'] = $new_instance['title'];
      $instance['description'] = $new_instance['description'];
      $instance['twitter'] = $new_instance['twitter'];
      $instance['facebook'] = $new_instance['facebook'];
      $instance['pinterest'] = $new_instance['pinterest'];
      $instance['vimeo'] = $new_instance['vimeo'];
      $instance['youtube'] = $new_instance['youtube'];
      $instance['in'] = $new_instance['in'];
      return $instance;
    }

    public function form($instance)
    {
        ?>
        <?php $title = isset( $instance['title'] ) ? $instance['title'] : ""; ?>
        <p>
            <label for="<?php echo $this->get_field_id('title') ?>"><?php _e('Title:','boss') ?></label>
            <input type="text" name="<?php echo $this->get_field_name('title') ?>"  value="<?php echo $title; ?>" class="widefat" id="<?php echo $this->get_field_id('title') ?>">
        </p>

        <?php $twitter = isset( $instance['twitter'] ) ? $instance['twitter'] : ""; ?>
        <p>
          <label for="<?php echo $this->get_field_id('twitter') ?>" class="tm-twitter" name="twitter"><?php _e('Twitter:','boss') ?></label>
          <input type="text" id="<?php echo $this->get_field_id('twitter'); ?>" placeholder="Twitter" value="<?php echo $twitter ?>" name="<?php echo $this->get_field_name('twitter'); ?>">
        </p>
        <?php $facebook = isset( $instance['facebook'] ) ? $instance['facebook'] : ""; ?>
        <p>
            <label for="<?php echo $this->get_field_id('facebook') ?>" class="tm-facebook"><?php _e('Facebook:','boss') ?></label>
          <input type="text" id="<?php echo $this->get_field_id('facebook'); ?>" placeholder="Facebook" value="<?php echo $facebook ?>" name="<?php echo $this->get_field_name('facebook'); ?>">
        </p>
        <?php $pinterest = isset( $instance['pinterest'] ) ? $instance['pinterest'] : ""; ?>
        <p>
            <label for="<?php echo $this->get_field_id('pinterest') ?>" class="tm-pinterest"><?php _e('Pinterest:','boss') ?></label>
          <input type="text" id="<?php echo $this->get_field_id('pinterest'); ?>" placeholder="Pinterest" value="<?php echo $pinterest ?>" name="<?php echo $this->get_field_name('pinterest'); ?>">
        </p>
        <?php $vimeo = isset( $instance['vimeo'] ) ? $instance['vimeo'] : ""; ?>
        <p>
            <label for="<?php echo $this->get_field_id('vimeo') ?>" class="tm-vimeo"><?php _e('Vimeo:','boss') ?></label>
          <input type="text" id="<?php echo $this->get_field_id('vimeo'); ?>" placeholder="Vimeo" value="<?php echo $vimeo ?>" name="<?php echo $this->get_field_name('vimeo'); ?>">
        </p>
        <?php $youtube = isset( $instance['youtube'] ) ? $instance['youtube'] : ""; ?>
        <p>
            <label for="<?php echo $this->get_field_id('youtube') ?>" class="tm-youtube"><?php _e('Youtube:','boss') ?></label>
          <input type="text" id="<?php echo $this->get_field_id('youtube'); ?>" placeholder="Youtube" value="<?php echo $youtube ?>" name="<?php echo $this->get_field_name('youtube'); ?>">
        </p>
        <?php $in = isset( $instance['in'] ) ? $instance['in'] : ""; ?>
        <p>
            <label for="<?php echo $this->get_field_id('in') ?>" class="tm-in"><?php _e('LinkedIn:','boss') ?></label>
          <input type="text" id="<?php echo $this->get_field_id('in'); ?>" placeholder="Linkedin" value="<?php echo $in ?>" name="<?php echo $this->get_field_name('in'); ?>">
        </p>
        <?php
    }
}

// Add plugin settings
$Plugin_Name = plugin_basename( __FILE__ );
add_filter( "plugin_action_links_$Plugin_Name", 'tt_Add_Settings_Links_For_Plugin' );
if ( !function_exists('tt_Add_Settings_Links_For_Plugin') ) { 
    function tt_Add_Settings_Links_For_Plugin($links) {
        array_push($links, '<a title="We are developing beautiful themes and applications for the web!" href="http://torbara.com" target="_blank" style="font-weight: bold; font-size: 14px;"><img src="http://www.googledrive.com/host/0Bxtm5PidFyMoN3VhYWlfVU45MXc" alt="" style="width: 24px; vertical-align: middle; position: relative; top: -1px;"> Torbara.com</a>');
        array_push($links, '<a title="Our portfolio on Envato Market" href="http://themeforest.net/user/torbara/portfolio?ref=torbara" target="_blank"><img src="http://www.googledrive.com/host/0Bxtm5PidFyModml3aXJ0T3hFQ2M" alt="" style="width: 16px; vertical-align: middle; position: relative; top: -2px;"> Envato</a>');
        return $links;
    }
}

add_action('widgets_init', create_function('', 'return register_widget("tt_social_widget");'));
