<?php
/*
  Plugin Name: TT Tabs widget
  Plugin URI: http://themeforest.net/user/torbara
  Description: add tabs widget
  Author: Torbara
  Version: 1.0.0
  Author URI: http://themeforest.net/user/torbara/portfolio
 */

class tt_tabs_widget extends WP_Widget {

    function __construct() {
        $widget_ops = array('classname' => 'tt_tabs_widget', 'description' => 'Display content as tabs');
        parent::__construct('tt_tabs_widget', 'TT Tabs widget', $widget_ops);
    }
    

    function form($instance) { ?>

        <?php $title = isset( $instance['title']) ? esc_attr( $instance['title'] ) : "Boss Tabs"; ?>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id('title')); ?>">
                Title:
                <input class="widefat"
                        id="<?php echo esc_attr($this->get_field_id('title')); ?>"
                        name="<?php echo esc_attr($this->get_field_name('title')); ?>"
                        type="text"
                        value="<?php echo esc_attr($title); ?>" />
            </label>
        </p>

        <?php $CatID = isset( $instance['CatID'] ) ? $instance['CatID'] : ""; ?>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id('CatID')); ?>">
                Select Category:
                <?php
                $args = array(
                    'type'                     => 'post',
                    'child_of'                 => 0,
                    'parent'                   => '',
                    'orderby'                  => 'name',
                    'order'                    => 'ASC',
                    'hide_empty'               => 1,
                    'hierarchical'             => 1,
                    'exclude'                  => '',
                    'include'                  => '',
                    'number'                   => '',
                    'taxonomy'                 => 'category',
                    'pad_counts'               => false
                );

                $cats = get_categories( $args ); ?>

                <select class="widefat"
                        id="<?php echo esc_attr($this->get_field_id('CatID')); ?>"
                        name="<?php echo esc_attr($this->get_field_name('CatID')); ?>"><?php
                    foreach ($cats as $cat){ ?>
                        <option value="<?php echo esc_attr($cat->term_id); ?>" <?php if($cat->term_id==$instance['CatID']){echo 'selected=""';} ?>><?php echo $cat->name; ?></option><?php
                    } ?>
                </select>
            </label>
        </p>

        <?php $ItemCount = isset( $instance['ItemCount'] ) ? $instance['ItemCount'] : "4"; ?>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id('ItemCount')); ?>">
                Number of tabs:
                <input class="widefat"
                        id="<?php echo esc_attr($this->get_field_id('ItemCount')); ?>"
                        name="<?php echo esc_attr($this->get_field_name('ItemCount')); ?>"
                        type="number"
                        min="1"
                        max="50"
                        step="1"
                        value="<?php echo esc_attr($ItemCount); ?>" />
            </label>
        </p>


        <p>
            <label for="<?php echo esc_attr($this->get_field_id('animation')); ?>">
                Select animation:
                <select class="widefat"
                        id="<?php echo esc_attr($this->get_field_id('animation')); ?>"
                        name="<?php echo esc_attr($this->get_field_name('animation')); ?>">
                        <option value="fade"                <?php if("fade"             == $instance['animation']){echo 'selected=""';} ?>>Fade</option>
                        <option value="scale"               <?php if("scale"            == $instance['animation']){echo 'selected=""';} ?>>Scale</option>
                        <option value="slide-top"           <?php if("slide-top"        == $instance['animation']){echo 'selected=""';} ?>>Slide-top</option>
                        <option value="slide-bottom"        <?php if("slide-bottom"     == $instance['animation']){echo 'selected=""';} ?>>Slide-bottom</option>
                        <option value="slide-left"          <?php if("slide-left"       == $instance['animation']){echo 'selected=""';} ?>>Slide-left</option>
                        <option value="slide-right"         <?php if("slide-right"      == $instance['animation']){echo 'selected=""';} ?>>Slide-right</option>
                        <option value="slide-horizontal"    <?php if("slide-horizontal" == $instance['animation']){echo 'selected=""';} ?>>Slide-horizontal</option>
                        <option value="slide-vertical"      <?php if("slide-vertical"   == $instance['animation']){echo 'selected=""';} ?>>Slide-vertical</option>
                </select>
            </label>
        </p>


        <?php $tab_flip = isset( $instance['tab_flip'] ) ? $instance['tab_flip'] : "2"; ?>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id('tab_flip')); ?>">
                Flip tabs:
            </label>
            <br>
            <input type="radio" id="<?php echo esc_attr($this->get_field_id('tab_flip')."_1"); ?>" name="<?php echo esc_attr($this->get_field_name('tab_flip')); ?>" value="1" <?php if($tab_flip=="1"){ echo "checked"; }?>>Yes &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
            <input type="radio" id="<?php echo esc_attr($this->get_field_id('tab_flip')."_2"); ?>" name="<?php echo esc_attr($this->get_field_name('tab_flip')); ?>" value="2" <?php if($tab_flip=="2"){ echo "checked"; }?>>No
        </p>

        <?php $tab_flip = isset( $instance['tab_flip'] ) ? $instance['tab_flip'] : "2"; ?>


        <?php $tab_bottom = isset( $instance['tab_bottom'] ) ? $instance['tab_bottom'] : "2"; ?>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id('tab_bottom')); ?>">
                Bottom tabs:
            </label>
            <br>
            <input type="radio" id="<?php echo esc_attr($this->get_field_id('tab_bottom')."_1"); ?>" name="<?php echo esc_attr($this->get_field_name('tab_bottom')); ?>" value="1" <?php if($tab_bottom=="1"){ echo "checked"; }?>>Yes &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
            <input type="radio" id="<?php echo esc_attr($this->get_field_id('tab_bottom')."_2"); ?>" name="<?php echo esc_attr($this->get_field_name('tab_bottom')); ?>" value="2" <?php if($tab_bottom=="2"){ echo "checked"; }?>>No
        </p>

        <?php $tab_bottom = isset( $instance['tab_bottom'] ) ? $instance['tab_bottom'] : "2"; ?>


        <?php
    }

    function update($new_instance, $old_instance) {
        $instance = $old_instance;
        $instance['title'] = $new_instance['title'];
        $instance['ItemCount'] = $new_instance['ItemCount'];
        $instance['CatID'] = $new_instance['CatID'];
        $instance['animation'] = $new_instance['animation'];
        $instance['tab_flip'] = $new_instance['tab_flip'];
        $instance['tab_bottom'] = $new_instance['tab_bottom'];

        return $instance;
    }

    function widget($args, $instance) {
        extract($args, EXTR_SKIP);
        $widget_id = $args["widget_id"];

        echo $before_widget;
        $title = empty($instance['title']) ? ' ' : apply_filters('widget_title', $instance['title']);

        if (!empty($title)) {
            echo $before_title . $title . $after_title;
        }

        $args = array(
            'posts_per_page'   => $instance['ItemCount'],
            'offset'           => 0,
            'category'         => $instance['CatID'],
            'orderby'          => 'post_date',
            'order'            => 'ASC',
            'post_status'      => 'publish',
            'suppress_filters' => true
        );
        $list = get_posts( $args );

        //Content animations
        $animation = isset( $instance['animation'] ) ? $instance['animation'] : "fade";

        //tab flip
        if($instance['tab_flip']=="1"){
            $tab_flip = "uk-tab-flip";
        }else{
            $tab_flip = "";
        }

        //bottom tab
        if($instance['tab_bottom']=="1"){
            $tab_bottom = "uk-tab-bottom";
        }else{
            $tab_bottom = "";
        }
        ?>
        <div class="uk-container uk-container-center">
          <div class="uk-grid">
            <div class="uk-width-small-1-1 uk-width-medium-1-2 uk-width-large-1-2">
            </div>
            <div class="uk-width-small-1-1 uk-width-medium-1-2 uk-width-large-1-2">
              <h3 class="uk-panel-title tm-custom-title"><?php echo $instance['title'];?></h3>
              <div class="category-module-tabs">
                <?php if($tab_bottom == "uk-tab-bottom") : ?>

                <!-- This is the container of the content items -->
                <ul id="tm_<?php echo md5($widget_id); ?>" class="uk-switcher uk-margin">
                <?php foreach ($list as $item) : ?>
                <li><?php echo $item->post_content; ?></li>
                <?php endforeach; ?>
                </ul>

                <!-- This is the tabbed navigation containing the toggling elements -->
                <ul class="uk-tab <?php echo esc_attr($tab_flip); ?> <?php echo esc_attr($tab_bottom); ?>" data-uk-tab="{connect:'#tm_<?php echo md5($widget_id); ?>', animation: '<?php echo esc_attr($animation); ?>'}">
                <?php foreach ($list as $item) : ?>
                <li><a href=""><?php echo esc_html($item->post_title); ?></a></li>
                <?php endforeach; ?>
                </ul>

                <?php else : ?>

                <!-- This is the tabbed navigation containing the toggling elements -->
                <ul class="uk-tab <?php echo esc_attr($tab_flip); ?>" data-uk-tab="{connect:'#tm_<?php echo md5($widget_id); ?>', animation: '<?php echo esc_attr($animation); ?>'}">
                <?php foreach ($list as $item) : ?>
                <li><a href=""><?php echo esc_html($item->post_title); ?></a></li>
                <?php endforeach; ?>
                </ul>

                <!-- This is the container of the content items -->
                <ul id="tm_<?php echo md5($widget_id); ?>" class="uk-switcher uk-margin" data-uk-scrollspy="{cls:'uk-animation-slide-right', repeat: true}">
                <?php foreach ($list as $item) : ?>
                <li class="tm-tab-text"><?php echo $item->post_content; ?></li>
                <?php endforeach; ?>
                </ul>

                <?php endif; ?>
              </div>
            </div>
          </div>
        </div>
<?php
        echo $after_widget;
    }

}

// Add plugin settings
$Plugin_Name = plugin_basename( __FILE__ );
add_filter( "plugin_action_links_$Plugin_Name", 'tt_Add_Settings_Links_For_Plugin' );
if ( !function_exists('tt_Add_Settings_Links_For_Plugin') ) { 
    function tt_Add_Settings_Links_For_Plugin($links) {
        array_push($links, '<a title="We are developing beautiful themes and applications for the web!" href="http://torbara.com" target="_blank" style="font-weight: bold; font-size: 14px;"><img src="http://www.googledrive.com/host/0Bxtm5PidFyMoN3VhYWlfVU45MXc" alt="" style="width: 24px; vertical-align: middle; position: relative; top: -1px;"> Torbara.com</a>');
        array_push($links, '<a title="Our portfolio on Envato Market" href="http://themeforest.net/user/torbara/portfolio?ref=torbara" target="_blank"><img src="http://www.googledrive.com/host/0Bxtm5PidFyModml3aXJ0T3hFQ2M" alt="" style="width: 16px; vertical-align: middle; position: relative; top: -2px;"> Envato</a>');
        return $links;
    }
}

add_action('widgets_init', create_function('', 'return register_widget("tt_tabs_widget");')); ?>
