<?php
/*
  Plugin Name: TT Testimonials widget
  Plugin URI: http://themeforest.net/user/torbara
  Description: add testimonials widget
  Author: Torbara
  Version: 1.0.0
  Author URI: http://themeforest.net/user/torbara/portfolio
 */

class tt_testimonials_widget extends WP_Widget {

    function __construct() {
        $widget_ops = array('classname' => 'tt_testimonials_widget', 'description' => 'Display latest posts as Testimonials');
        parent::__construct('tt_testimonials_widget', 'TT Testimonials widget', $widget_ops);
    }
    
    function form($instance) { ?>

        <?php $title = isset( $instance['title']) ? esc_attr( $instance['title'] ) : "Testimonials"; ?>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id('title')); ?>">
                Title:
                <input class="widefat"
                        id="<?php echo esc_attr($this->get_field_id('title')); ?>"
                        name="<?php echo esc_attr($this->get_field_name('title')); ?>"
                        type="text"
                        value="<?php echo esc_attr($title); ?>" />
            </label>
        </p>

        <?php $CatID = isset( $instance['CatID'] ) ? $instance['CatID'] : ""; ?>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id('CatID')); ?>">
                Select Category:
                <?php
                $args = array(
                    'type'                     => 'post',
                    'child_of'                 => 0,
                    'parent'                   => '',
                    'orderby'                  => 'name',
                    'order'                    => 'ASC',
                    'hide_empty'               => 1,
                    'hierarchical'             => 1,
                    'exclude'                  => '',
                    'include'                  => '',
                    'number'                   => '',
                    'taxonomy'                 => 'category',
                    'pad_counts'               => false
                );

                $cats = get_categories( $args ); ?>

                <select class="widefat"
                        id="<?php echo esc_attr($this->get_field_id('CatID')); ?>"
                        name="<?php echo esc_attr($this->get_field_name('CatID')); ?>"><?php
                    foreach ($cats as $cat){ ?>
                        <option value="<?php echo esc_attr($cat->term_id); ?>" <?php if($cat->term_id==$instance['CatID']){echo 'selected=""';} ?>><?php echo $cat->name; ?></option><?php
                    } ?>
                </select>
            </label>
        </p>
        <p>
          Responsive behavior
        </p>
        <?php $size_small = isset( $instance['size-small'] ) ? $instance['size-small'] : "1"; ?>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id('size-small')); ?>">
                Small Mobile:
                <input class="widefat"
                        id="<?php echo esc_attr($this->get_field_id('size-small')); ?>"
                        name="<?php echo esc_attr($this->get_field_name('size-small')); ?>"
                        type="number"
                        min="1"
                        max="5"
                        step="1"
                        value="<?php echo esc_attr($size_small); ?>" />
            </label>
        </p>
        <?php $size_medium = isset( $instance['size-medium'] ) ? $instance['size-medium'] : "2"; ?>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id('size-medium')); ?>">
                Medium Mobile:
                <input class="widefat"
                        id="<?php echo esc_attr($this->get_field_id('size-medium')); ?>"
                        name="<?php echo esc_attr($this->get_field_name('size-medium')); ?>"
                        type="number"
                        min="1"
                        max="5"
                        step="1"
                        value="<?php echo esc_attr($size_medium); ?>" />
            </label>
        </p>
        <?php $size_large = isset( $instance['size-large'] ) ? $instance['size-large'] : "3"; ?>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id('size-large')); ?>">
                Large Mobile:
                <input class="widefat"
                        id="<?php echo esc_attr($this->get_field_id('size-large')); ?>"
                        name="<?php echo esc_attr($this->get_field_name('size-large')); ?>"
                        type="number"
                        min="1"
                        max="6"
                        step="1"
                        value="<?php echo esc_attr($size_large); ?>" />
            </label>
        </p>

        <?php
    }

    function update($new_instance, $old_instance) {
        $instance = $old_instance;
        $instance['title'] = $new_instance['title'];
        $instance['size-small'] = $new_instance['size-small'];
        $instance['size-medium'] = $new_instance['size-medium'];
        $instance['size-large'] = $new_instance['size-large'];
        $instance['CatID'] = $new_instance['CatID'];

        return $instance;
    }

    function widget($args, $instance) {
        extract($args, EXTR_SKIP);
        $widget_id = $args["widget_id"];

        echo $before_widget;
        $title = empty($instance['title']) ? ' ' : apply_filters('widget_title', $instance['title']);

        if (!empty($title)) {
            echo $before_title . $title . $after_title;
        }

        $args = array(

            'offset'           => 0,
            'category'         => $instance['CatID'],
            'orderby'          => 'post_date',
            'order'            => 'ASC',
            'post_status'      => 'publish',
            'suppress_filters' => true
        );
        $list = get_posts( $args );
      ?>
      <div data-uk-slider="{center:true}">
            <div class="uk-container uk-container-center">
                <h1 class="uk-panel-title tm-custom-title"><?php echo $instance['title']; ?> </h1>
                <div class="tm-container-navigation">
                  <a href="" class="tm-arrow-title tm-arrow-title-left uk-slidenav uk-slidenav-contrast uk-slidenav-previous" data-uk-slider-item="previous"><img src="<?php echo get_template_directory_uri(); ?>/images/tt-arrow-paginations-left.svg" class="tm-arrow-title-left-svg" alt="tm-arrow-title-left-svg" data-uk-svg></a>
                  <a href="" class="tm-arrow-title tm-arrow-title-right uk-slidenav uk-slidenav-contrast uk-slidenav-next" data-uk-slider-item="next"><img src="<?php echo get_template_directory_uri(); ?>/images/tt-arrow-paginations-right.svg" class="tm-arrow-title-right-svg" alt="tm-arrow-title-right-svg" data-uk-svg></a>
                </div>
            </div>
            <div class="uk-slider-container">
              <ul class="uk-slider uk-grid uk-grid-large uk-grid-width-small-1-<?php echo $instance['size-small']; ?> uk-grid-width-medium-1-<?php echo $instance['size-medium']; ?> uk-grid-width-large-1-<?php echo $instance['size-large']; ?> uk-text-center ">
                <?php foreach ($list as $item) : ?>
                  <li>
                    <div class="tm-testimonials-item">
                      <div class="tm-testimonials-text">
                        <p><?php echo $item->post_content; ?></p>
                      </div>
                      <div class="tm-line-testimonials"></div>
                      <?php if ( has_post_thumbnail($item->ID)) { ?>
                        <?php $src = wp_get_attachment_image_src( get_post_thumbnail_id($item->ID, 'Testimonials'), false, '' ); ?>
                        <div class="uk-cover-background" style="background-image: url(<?php echo $src[0]; ?>);">
                          <img class="uk-invisible" src="<?php echo $src[0]; ?>" width="600" height="400" alt="<?php echo esc_html($item->post_title); ?>">
                        </div>
                      <?php } else { ?>
                        <div class="uk-cover-background" style="background-image: url('/wp-content/themes/boss/images/tm-no-image.jpg');">
                          <img class="uk-invisible" src="/wp-content/themes/boss/images/tm-no-image.jpg" width="600" height="400" alt="<?php echo esc_html($item->post_title); ?>">
                        </div>
                      <?php } ?>
                      <p class="tm-testimonials-author-name"><?php echo esc_html($item->post_title); ?></p>
                    </div>
                  </li>
                <?php endforeach; ?>
              </ul>
            </div>
        </div>

<?php
        echo $after_widget;
    }

}

// Add plugin settings
$Plugin_Name = plugin_basename( __FILE__ );
add_filter( "plugin_action_links_$Plugin_Name", 'tt_Add_Settings_Links_For_Plugin' );
if ( !function_exists('tt_Add_Settings_Links_For_Plugin') ) { 
    function tt_Add_Settings_Links_For_Plugin($links) {
        array_push($links, '<a title="We are developing beautiful themes and applications for the web!" href="http://torbara.com" target="_blank" style="font-weight: bold; font-size: 14px;"><img src="http://www.googledrive.com/host/0Bxtm5PidFyMoN3VhYWlfVU45MXc" alt="" style="width: 24px; vertical-align: middle; position: relative; top: -1px;"> Torbara.com</a>');
        array_push($links, '<a title="Our portfolio on Envato Market" href="http://themeforest.net/user/torbara/portfolio?ref=torbara" target="_blank"><img src="http://www.googledrive.com/host/0Bxtm5PidFyModml3aXJ0T3hFQ2M" alt="" style="width: 16px; vertical-align: middle; position: relative; top: -2px;"> Envato</a>');
        return $links;
    }
}

add_action('widgets_init', create_function('', 'return register_widget("tt_testimonials_widget");')); ?>
