<?php
/*
  Plugin Name: TT Video widget
  Plugin URI: http://themeforest.net/user/torbara
  Description: add video widget
  Author: Torbara
  Version: 1.0.0
  Author URI: http://themeforest.net/user/torbara/portfolio
 */
class tt_video_widget extends WP_Widget
{

    function __construct() {
        $widget_ops = array('classname' => 'tt_video_widget', 'description' => 'Display video files by URL');
        parent::__construct('tt_video_widget', 'TT Video widget', $widget_ops);
    }
  
    public function form($instance) 	{
        
      	if(isset($instance['title'] )){
            $title =  $instance['title'];
        }else{
            $title =  "Video";
        }  
      	if(isset($instance['toptext'] )){
            $toptext =  $instance['toptext'];
        }else{
            $toptext =  "";
        }
      
				?>
        <p>
            <label for="<?php echo $this->get_field_id('title'); ?>">
                Title: 
                <input class="widefat" 
                        id="<?php echo $this->get_field_id('title'); ?>" 
                        name="<?php echo $this->get_field_name('title'); ?>" 
                        type="text" 
                        value="<?php echo $title; ?>" />
            </label>
        </p>

				<p>
            <label for="<?php echo $this->get_field_id('toptext'); ?>">
                Top text: 
                <textarea class="widefat" 
                        id="<?php echo $this->get_field_id('toptext'); ?>" 
                        name="<?php echo $this->get_field_name('toptext'); ?>" 
                        rows="5" 
                        cols="40"><?php echo $toptext; ?></textarea>
            </label>
        </p>
				<?php $description = isset( $instance['description'] ) ? $instance['description'] : ""; ?>
        <p>
            <label for="<?php echo $this->get_field_id('description') ?>"><?php _e('Description:','boss') ?></label>
            <input type="text" placeholder="Description" name="<?php echo $this->get_field_name('description') ?>"  value="<?php echo $description ?>" class="widefat" id="<?php echo $this->get_field_id('description') ?>">
        </p>
        <?php $video = isset( $instance['video'] ) ? $instance['video'] : ""; ?>
        <p>
            <label for="<?php echo $this->get_field_id('video') ?>"><?php _e('Video code:','boss') ?></label>
          <input type="text" id="<?php echo $this->get_field_id('video'); ?>" value="<?php echo $video ?>" name="<?php echo $this->get_field_name('video'); ?>">
        </p>
        <?php
    }
  
     public function update($new_instance, $old_instance) {
      $instance = $old_instance;
      $instance['title'] = $new_instance['title'];
      $instance['toptext'] = $new_instance['toptext'];
      $instance['description'] = $new_instance['description'];
      $instance['video'] = $new_instance['video'];
      return $instance;
    }

    public function widget($args, $instance)
    {
        extract($args, EXTR_SKIP);
        $widget_id = $args["widget_id"];


        echo $before_widget;
      
      	$title = empty($instance['title']) ? ' ' : apply_filters('widget_title', $instance['title']);
        
        if (!empty($title)) {
            echo $before_title . $title . $after_title;
        }

        $toptext= empty($instance['toptext']);
?>
      <div class="uk-width-1-1 uk-container-center">
        <div class="uk-panel">
          <div class="tm-video-bg-overlay">
            <p class="tm-widget-video-title"><?php echo $instance['toptext'];?></p>
            <p class="tm-widget-video-description"><?php echo esc_attr($instance['description']); ?></p>
            <a class="tm-video-play" href="<?php echo $instance['video'];?>" data-uk-lightbox="{group:'group2'}"></a>
          </div>
        </div>
      </div>

<?php

        echo $after_widget;

    }

}

// Add plugin settings
$Plugin_Name = plugin_basename( __FILE__ );
add_filter( "plugin_action_links_$Plugin_Name", 'tt_Add_Settings_Links_For_Plugin' );
if ( !function_exists('tt_Add_Settings_Links_For_Plugin') ) { 
    function tt_Add_Settings_Links_For_Plugin($links) {
        array_push($links, '<a title="We are developing beautiful themes and applications for the web!" href="http://torbara.com" target="_blank" style="font-weight: bold; font-size: 14px;"><img src="http://www.googledrive.com/host/0Bxtm5PidFyMoN3VhYWlfVU45MXc" alt="" style="width: 24px; vertical-align: middle; position: relative; top: -1px;"> Torbara.com</a>');
        array_push($links, '<a title="Our portfolio on Envato Market" href="http://themeforest.net/user/torbara/portfolio?ref=torbara" target="_blank"><img src="http://www.googledrive.com/host/0Bxtm5PidFyModml3aXJ0T3hFQ2M" alt="" style="width: 16px; vertical-align: middle; position: relative; top: -2px;"> Envato</a>');
        return $links;
    }
}

add_action('widgets_init', create_function('', 'return register_widget("tt_video_widget");'));
